# 2020-08-29 - removed template and added phone dialogue for the first scene and added "sort=nearest" to "tp @e ~ ~ ~ facing entity" commands

# In this map, most of the hitboxes of the mobs used as npcs are too different from the armor stands' one
# For this reason, most npcs have, on a slightly different elevation, a puppet which controls the dialogues
# Because of that, the glowing effect has to be controlled by additional commands for each npc's puppet (they are stored in the function with all the additional commands for the map)
# 2020-12-09 - Most npcs no longer need a puppet, which is now only needed for special cases when other commands can interfere (like Alcapa) or if the npc is a model on a armor stand

# 2020-12-19 - v1.2:
# Fixed some typos
# Changed some lines to: make Polly and Alcapa names more clear, say that Oliver has glue, remove confusion between cow and crow and make clear that Cow Detective is a female
# 2020-12-20 - changed last line of Alfred quest dialogue to make more clear that the player just needs to bring the sandpaper to Pog; added license

# Phone 1
execute as @e[tag=active,scores={dialogue=1},tag=phone_puppet] at @s if entity @p[tag=fade_out_end] run tag @a remove stop

execute as @e[tag=active,scores={dialogue=1},tag=phone_puppet] at @s if entity @p[tag=fade_in_end] run tag @a add npc

execute as @e[tag=active,scores={dialogue=1},tag=phone_puppet] at @s if entity @p[tag=fade_stands] run summon armor_stand ^1.2 ^0.2 ^2.1 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_npc"]}
execute as @e[tag=active,scores={dialogue=1},tag=phone_puppet] at @s if entity @p[tag=fade_stands] run summon armor_stand ^ ^0.2 ^1.7 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","player_puppet"]}
execute as @e[tag=active,scores={dialogue=1},tag=phone_puppet] at @s if entity @p[tag=fade_stands] run execute as @e[tag=player_puppet] at @s run tp @s ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=phone_puppet] at @s if entity @p[tag=fade_stands] run summon armor_stand ^1.2 ^0.2 ^-0.6 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_puppet"]}

execute as @e[tag=active,scores={dialogue=1},tag=phone_puppet] at @s if entity @p[tag=fade_start] run tag @e[tag=phone_puppet] remove npc

# At the start of the dialogue, the phone is turned on
execute as @e[tag=active,scores={dialogue=1},tag=phone_D1] at @s if entity @p[tag=fade_in_end] as @e[tag=phone] at @s run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:redstone",Count:1b,tag:{CustomModelData:2}}]}

execute as @e[tag=active,scores={dialogue=1},tag=phone_D1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=phone_D1] at @s if entity @p[tag=fade_in_end] run tag @a add phone_L1

execute as @e[tag=active,scores={dialogue=1},tag=phone_D1] at @s run execute at @e[tag=facing_puppet] run tp @a[tag=!fade_out_F] ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=1},tag=phone_D1] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Oh, I received an email. Who could it be?"}]

execute as @e[tag=active,scores={dialogue=1},tag=phone_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=2},tag=phone_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=3},tag=phone_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=phone_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=5},tag=phone_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=6},tag=phone_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=7},tag=phone_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=8},tag=phone_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=9},tag=phone_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=10},tag=phone_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=11},tag=phone_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=12},tag=phone_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=13},tag=phone_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=14},tag=phone_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=15},tag=phone_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=16},tag=phone_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=17},tag=phone_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=18},tag=phone_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=19},tag=phone_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=20},tag=phone_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=21},tag=phone_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=22},tag=phone_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=23},tag=phone_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=24},tag=phone_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=25},tag=phone_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=26},tag=phone_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3

execute as @e[tag=active,scores={dialogue=1},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ok Gooble, open the last received email."}]
execute as @e[tag=active,scores={dialogue=2},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Let's see. Does someone need my detective help?"}]
execute as @e[tag=active,scores={dialogue=3},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Dear Detective, I'm one of your biggest fans. I'm a shells collector and I've explored many faraway islands in search for them.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=4},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"That sounds like a nice job, I guess it pays really well, given their value on the market."}]
execute as @e[tag=active,scores={dialogue=5},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Recently I arrived on a very promising island and everything was going swell, until I've made an incredible discovery...","color":"gray"}]
execute as @e[tag=active,scores={dialogue=6},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"This island has a lot of shells! It's incredible: you just need to wait for waves to bring them to you and they can even be more than one type!!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=7},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"That's great, I'm happy for him!"}]
execute as @e[tag=active,scores={dialogue=8},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, that wasn't the only thing I've found: I've also discovered a slime ball.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=9},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Do you know about slime blocks? They are an extremely popular device used in trampolines, the most fundamental form of entertainment.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=10},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Oh yes, I have a bed made of them!"}]
execute as @e[tag=active,scores={dialogue=11},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"They were invented by the Slimes, a cave dwelling creature, thanks to the slime that themselves are made of.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=12},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"However, the slime blocks have an issue: their sides don't bounce you! That is very strange and makes no sense whatsoever.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=13},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Hmm, I never noticed that..."}]
execute as @e[tag=active,scores={dialogue=14},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"It's not an evident problem, because usually more than one are used close together and their centre is more bouncy and fun to use.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=15},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Many tried to find a solution, but it looks like the only ones which can fix them are the Slimes.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=16},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Problem is that they disappeared: nobody knows where they went, it's a mystery!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=17},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Mystery? I like mysteries!"}]
execute as @e[tag=active,scores={dialogue=18},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"That's why my discovery is so important: they may be here, somewhere!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=19},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"A group of scientists are now here to search for more clues, but they are going nowhere. We need the help of an expert in mysteries: someone like Crow Detective!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=20},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Nice choice. She's a very good detective, solving a mystery it's just a matter of time with her!"}]
execute as @e[tag=active,scores={dialogue=21},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"That's why I'm writing to you: could you come to solve the mystery?","color":"gray"}]
execute as @e[tag=active,scores={dialogue=22},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I hope you will accept! Signed: Alfred.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=23},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Wait, did he write to the wrong detective? I guess it's because I'm kinda similar to her, people often confuse us."}]
execute as @e[tag=active,scores={dialogue=24},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, no point in correcting him: she said to me she had a case and it can't be this one, I received the email only today."}]
execute as @e[tag=active,scores={dialogue=25},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I guess I could accept the case myself: even if I don't get paid, I can treat this as a vacation!"}]
execute as @e[tag=active,scores={dialogue=26},tag=phone_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I will send an email to her to let her know; in the meantime, I should get going!"}]

execute as @e[tag=active,scores={dialogue=27},tag=phone_L1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=27..},tag=phone_L1] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=27..},tag=phone_L1] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=27..},tag=phone_L1] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=27..},tag=phone_L1] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
# The npc is not given back to make it not interactable after the dialogue
#execute as @e[tag=active,scores={dialogue=27..},tag=phone_L1] at @s if entity @p[tag=fade_in_end] run tag @e[tag=phone_puppet] add npc

execute as @e[tag=active,scores={dialogue=27..},tag=phone_L1] at @s if entity @p[tag=fade_out_end] run tag @e[tag=phone_puppet] remove phone_D1

# At the end of the dialogue, the phone is turned off
execute as @e[tag=active,scores={dialogue=27..},tag=phone_L1] at @s if entity @p[tag=fade_out_end] as @e[tag=phone] at @s run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:redstone",Count:1b,tag:{CustomModelData:1}}]}
# Also, the door knob gets the npc tag, letting player exit the room to end the scene
execute as @e[tag=active,scores={dialogue=27..},tag=phone_L1] at @s if entity @p[tag=fade_out_end] run tag @e[tag=knob] add npc

execute as @e[tag=active,scores={dialogue=27..},tag=phone_L1] at @s if entity @p[tag=fade_in_end] run tag @s remove phone_L1

# Knob (no dialogue)
# Interacting with the door knob
execute as @e[tag=active,scores={dialogue=1},tag=knob] at @s if entity @p[scores={right=2}] run tag @a add end_home1
execute as @e[tag=active,scores={dialogue=1},tag=knob] at @s if entity @p[scores={right=2}] run tag @a add dissolve
execute as @e[tag=active,scores={dialogue=1},tag=knob] at @s if entity @p[scores={right=2}] run tag @e[tag=knob] remove npc
execute as @e[tag=active,scores={dialogue=1},tag=knob] at @s if entity @p[scores={right=2}] run tag @e[tag=knob] remove active

# Commands to tp player to black room
tag @a[tag=fade_in_start,tag=end_home1] remove stop
# 2020-12-09 - coordinates changed to proper black room
tp @a[tag=fade_in_start,tag=end_home1] 0 30 -20


# 2020-09-13 - Added to every quest dialogue "tag=!<npc>_quest" so that it won't play until the npc still has its D1 dialogue

# 2020-09-05 - Alfred
execute as @e[tag=active,scores={dialogue=1},tag=alfred] at @s if entity @p[tag=fade_out_end] run tag @a remove stop

execute as @e[tag=active,scores={dialogue=1},tag=alfred] at @s if entity @p[tag=fade_in_end] run tag @a add npc

execute as @e[tag=active,scores={dialogue=1},tag=alfred] at @s if entity @p[tag=fade_stands] run summon armor_stand ^1.5 ^ ^2.1 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_npc"]}
execute as @e[tag=active,scores={dialogue=1},tag=alfred] at @s if entity @p[tag=fade_stands] run summon armor_stand ^ ^ ^2.2 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","player_puppet"]}
execute as @e[tag=active,scores={dialogue=1},tag=alfred] at @s if entity @p[tag=fade_stands] run execute as @e[tag=player_puppet] at @s run tp @s ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=alfred] at @s if entity @p[tag=fade_stands] run summon armor_stand ^1.5 ^ ^-0.6 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_puppet"]}

execute as @e[tag=active,scores={dialogue=1},tag=alfred] at @s if entity @p[tag=fade_start] run tag @e[tag=alfred] remove npc


execute as @e[tag=active,scores={dialogue=1},tag=alfred_D1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=alfred_D1] at @s if entity @p[tag=fade_in_end] run tag @a add alfred_L1

execute as @e[tag=active,scores={dialogue=1},tag=alfred_D1] at @s run execute at @e[tag=facing_puppet] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=alfred_D1] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Hi, are you Alfred?"}]

execute as @e[tag=active,scores={dialogue=1},tag=alfred_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=2},tag=alfred_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=3},tag=alfred_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=alfred_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=5},tag=alfred_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=6},tag=alfred_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=7},tag=alfred_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=8},tag=alfred_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=9},tag=alfred_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=10},tag=alfred_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=11},tag=alfred_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=12},tag=alfred_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=13},tag=alfred_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=14},tag=alfred_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=15},tag=alfred_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]

execute as @e[tag=active,scores={dialogue=1},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Crow Detective! Thank you for accepting the case, I'm so glad you are here!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=2},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yeah, about that... Sorry, but I'm not her, I'm actually Cow Detective."}]
execute as @e[tag=active,scores={dialogue=3},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Oh, sorry, I didn't recognize you! You and Crow Detective are so similar!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=4},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Don't worry, a lot of people confuse us, some even think I’m her sister!"}]
execute as @e[tag=active,scores={dialogue=5},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ahah, I can see why. Well, what brings you here?","color":"gray"}]
execute as @e[tag=active,scores={dialogue=6},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"You sent an email to me instead of Crow Detective. I've forwarded it to her, but I can already tell you she's busy with another case."}]
execute as @e[tag=active,scores={dialogue=7},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"If you're ok with it, I can take the case myself; it looks like an interesting mystery! "}]
execute as @e[tag=active,scores={dialogue=8},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Sure, I will gladly accept your help! To be honest, I just want to be done with this mystery the sooner I can... ","color":"gray"}]
execute as @e[tag=active,scores={dialogue=9},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Why is that? "}]
execute as @e[tag=active,scores={dialogue=10},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I don't mind company, but I'm kinda regretting my discovery: since then, this island is too crowded!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=11},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I'm a sheep, a solitary animal! And with all these scientists, I don't feel comfortable picking up shells...","color":"gray"}]
execute as @e[tag=active,scores={dialogue=12},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"What if they start asking questions? Like ''what's the species'' or ''what are your references''? I don't know, I'm a sheep!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=13},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Those are very legitimate fears, I get you. Don't worry, I will resolve the mystery."}]
execute as @e[tag=active,scores={dialogue=14},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Thank you. I just want some new shells for my collection... ","color":"gray"}]
execute as @e[tag=active,scores={dialogue=15},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Something tells me I will need your help later... See you then!"}]

execute as @e[tag=active,scores={dialogue=16},tag=alfred_L1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=16..},tag=alfred_L1] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=16..},tag=alfred_L1] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=16..},tag=alfred_L1] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=16..},tag=alfred_L1] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=16..},tag=alfred_L1] at @s if entity @p[tag=fade_in_end] run tag @e[tag=alfred] add npc

execute as @e[tag=active,scores={dialogue=16..},tag=alfred_L1] at @s if entity @p[tag=fade_out_end] run tag @e[tag=alfred] remove alfred_D1
execute as @e[tag=active,scores={dialogue=16..},tag=alfred_L1] at @s if entity @p[tag=fade_out_end] run tag @e[tag=alfred] add alfred_D2

execute as @e[tag=active,scores={dialogue=16..},tag=alfred_L1] at @s if entity @p[tag=fade_in_end] run tag @s remove alfred_L1


execute as @e[tag=active,scores={dialogue=1},tag=alfred_D2,tag=!alfred_quest] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=alfred_D2,tag=!alfred_quest] at @s if entity @p[tag=fade_in_end] run tag @a add alfred_L2

execute as @e[tag=active,scores={dialogue=1},tag=alfred_D2,tag=!alfred_quest] at @s run execute at @e[tag=facing_puppet] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=alfred_D2,tag=!alfred_quest] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Hey, I was wondering... Why do you have a skull?"}]

execute as @e[tag=active,scores={dialogue=1},tag=alfred_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=2},tag=alfred_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=3},tag=alfred_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=alfred_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]

execute as @e[tag=active,scores={dialogue=1},tag=alfred_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Skull? You mean this strange looking shell?","color":"gray"}]
execute as @e[tag=active,scores={dialogue=2},tag=alfred_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, yes... I mean, no, that's not a shell!"}]
execute as @e[tag=active,scores={dialogue=3},tag=alfred_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"How not, don't you see it's made of the same material?","color":"gray"}]
execute as @e[tag=active,scores={dialogue=4},tag=alfred_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I'm not an expert, but I don't think that's true..."}]

execute as @e[tag=active,scores={dialogue=5},tag=alfred_L2] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=5..},tag=alfred_L2] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=5..},tag=alfred_L2] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=5..},tag=alfred_L2] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=5..},tag=alfred_L2] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=5..},tag=alfred_L2] at @s if entity @p[tag=fade_in_end] run tag @e[tag=alfred] add npc

execute as @e[tag=active,scores={dialogue=5..},tag=alfred_L2] at @s if entity @p[tag=fade_in_end] run tag @s remove alfred_L2


execute as @e[tag=active,scores={dialogue=1},tag=alfred_quest,tag=!alfred_D1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=alfred_quest,tag=!alfred_D1] at @s if entity @p[tag=fade_in_end] run tag @a add alfred_quest_lines

execute as @e[tag=active,scores={dialogue=1},tag=alfred_quest,tag=!alfred_D1] at @s run execute at @e[tag=facing_puppet] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=alfred_quest,tag=!alfred_D1] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Hey, I brought you a shell!"}]

execute as @e[tag=active,scores={dialogue=1},tag=alfred_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=2},tag=alfred_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=3},tag=alfred_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=alfred_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=5},tag=alfred_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]

execute as @e[tag=active,scores={dialogue=1},tag=alfred_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Wow, thank you! You must be very brave, the scientists must have asked so many questions!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=2},tag=alfred_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Actually, not at all! I guess they are too focused on the mystery..."}]
execute as @e[tag=active,scores={dialogue=3},tag=alfred_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, anyway, now my collection has grown! How can I thank you?...","color":"gray"}]
execute as @e[tag=active,scores={dialogue=4},tag=alfred_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I know! Take this sandpaper: it's very useful when I want to shape shells, maybe you can do the same!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=5},tag=alfred_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I've never used it before, but I know someone that can help. Thanks!"}]

# 2020-09-13 (alternate) - One shell is removed from the player (or from the player puppet);
# the first command doesn't work if the player puppet has a shell to ensure that only one shell is removed, but if the player puppet has a stack of shells, all of them will be removed
#execute as @e[tag=active,scores={dialogue=1},tag=alfred_quest_lines] at @s if entity @p[scores={right=2}] unless entity @e[tag=player_puppet,nbt={HandItems:[{tag:{shell:true}}]}] run clear @a nautilus_shell{shell:true} 1
#execute as @e[tag=active,scores={dialogue=1},tag=alfred_quest_lines] at @s if entity @p[scores={right=2}] run replaceitem entity @e[tag=player_puppet] weapon.mainhand air

execute as @e[tag=active,scores={dialogue=6},tag=alfred_quest_lines] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=6..},tag=alfred_quest_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=6..},tag=alfred_quest_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ facing entity @e[tag=alfred,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=6..},tag=alfred_quest_lines] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=6..},tag=alfred_quest_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=6..},tag=alfred_quest_lines] at @s if entity @p[tag=fade_in_end] run tag @e[tag=alfred] add npc

execute as @e[tag=active,scores={dialogue=6..},tag=alfred_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @e[tag=alfred] remove alfred_quest
execute as @e[tag=active,scores={dialogue=6..},tag=alfred_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @a remove shell_quest
# This is one of the tags needed for the goggles
execute as @e[tag=active,scores={dialogue=6..},tag=alfred_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @a add sandpaper

# 2020-9-13 - Instead of removing the shell during the dialogue, it's taken away at end, removing the need to use /replaceitem on the player puppet
execute as @e[tag=active,scores={dialogue=6..},tag=alfred_quest_lines] at @s if entity @p[tag=fade_in_end] run clear @a nautilus_shell{shell:true} 1

execute as @e[tag=active,scores={dialogue=6..},tag=alfred_quest_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove alfred_quest_lines


# 2020-09-13 - Commands to give the "alfred_quest" tag if the player has a shell in its inventory
execute if entity @a[tag=player_quest,nbt={Inventory:[{tag:{shell:true}}]}] run tag @e[tag=alfred] add alfred_quest
execute if entity @a[tag=player_quest,nbt={Inventory:[{tag:{shell:true}}]}] run tag @a remove player_quest


# 2020-09-07 - Alcapa
execute as @e[tag=active,scores={dialogue=1},tag=alcapa_puppet] at @s if entity @p[tag=fade_out_end] run tag @a remove stop

execute as @e[tag=active,scores={dialogue=1},tag=alcapa_puppet] at @s if entity @p[tag=fade_in_end] run tag @a add npc

execute as @e[tag=active,scores={dialogue=1},tag=alcapa_puppet] at @s if entity @p[tag=fade_stands] run summon armor_stand ^1.5 ^-0.6 ^2.1 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_npc"]}
execute as @e[tag=active,scores={dialogue=1},tag=alcapa_puppet] at @s if entity @p[tag=fade_stands] run summon armor_stand ^ ^-0.6 ^2.4 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","player_puppet"]}
execute as @e[tag=active,scores={dialogue=1},tag=alcapa_puppet] at @s if entity @p[tag=fade_stands] run execute as @e[tag=player_puppet] at @s run tp @s ~ ~ ~ facing entity @e[tag=alcapa_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=alcapa_puppet] at @s if entity @p[tag=fade_stands] run summon armor_stand ^1.5 ^-0.6 ^0.21 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_puppet"]}

execute as @e[tag=active,scores={dialogue=1},tag=alcapa_puppet] at @s if entity @p[tag=fade_start] run tag @e[tag=alcapa_puppet] remove npc


execute as @e[tag=active,scores={dialogue=1},tag=alcapa_D1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=alcapa_D1] at @s if entity @p[tag=fade_in_end] run tag @a add alcapa_L1

execute as @e[tag=active,scores={dialogue=1},tag=alcapa_D1] at @s run execute at @e[tag=facing_puppet] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=alcapa_D1] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Hi, I'm..."}]

execute as @e[tag=active,scores={dialogue=1},tag=alcapa_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=2},tag=alcapa_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=3},tag=alcapa_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=alcapa_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=5},tag=alcapa_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=6},tag=alcapa_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=7},tag=alcapa_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=8},tag=alcapa_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=9},tag=alcapa_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=10},tag=alcapa_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0

execute as @e[tag=active,scores={dialogue=1},tag=alcapa_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I know who you are, no need to introduce yourself.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=2},tag=alcapa_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I'm sorry, but I can't help you with the investigation, I'm busy...","color":"gray"}]
execute as @e[tag=active,scores={dialogue=3},tag=alcapa_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I need just a minute to ask you some questions, I won't bother you more than..."}]
execute as @e[tag=active,scores={dialogue=4},tag=alcapa_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I said I'm busy! Can't you see?! I have to be sure they don't reach me!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=5},tag=alcapa_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Reach you? What are you talking about?"}]
execute as @e[tag=active,scores={dialogue=6},tag=alcapa_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"The waves! I can't let them reach me!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=7},tag=alcapa_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Why?"}]
execute as @e[tag=active,scores={dialogue=8},tag=alcapa_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Isn't it obvious? My fur is in danger!!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=9},tag=alcapa_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Don't be so worried! The weather is nice, there no way a wave can reach you up here."}]
execute as @e[tag=active,scores={dialogue=10},tag=alcapa_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"That's fair, I guess, but I don't want to take any chances!","color":"gray"}]

execute as @e[tag=active,scores={dialogue=11},tag=alcapa_L1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=11..},tag=alcapa_L1] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=11..},tag=alcapa_L1] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=11..},tag=alcapa_L1] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=11..},tag=alcapa_L1] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=11..},tag=alcapa_L1] at @s if entity @p[tag=fade_in_end] run tag @e[tag=alcapa_puppet] add npc

execute as @e[tag=active,scores={dialogue=11..},tag=alcapa_L1] at @s if entity @p[tag=fade_out_end] run tag @e[tag=alcapa_puppet] remove alcapa_D1
execute as @e[tag=active,scores={dialogue=11..},tag=alcapa_L1] at @s if entity @p[tag=fade_out_end] run tag @e[tag=alcapa_puppet] add alcapa_D2

execute as @e[tag=active,scores={dialogue=11..},tag=alcapa_L1] at @s if entity @p[tag=fade_in_end] run tag @s remove alcapa_L1


execute as @e[tag=active,scores={dialogue=1},tag=alcapa_D2,tag=!alcapa_quest] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=alcapa_D2,tag=!alcapa_quest] at @s if entity @p[tag=fade_in_end] run tag @a add alcapa_L2

execute as @e[tag=active,scores={dialogue=1},tag=alcapa_D2,tag=!alcapa_quest] at @s run execute at @e[tag=facing_puppet] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=alcapa_D2,tag=!alcapa_quest] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"I get your fear of waves, but why are you on this rock? Isn't it a bit too close to the sea?"}]

execute as @e[tag=active,scores={dialogue=1},tag=alcapa_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=2},tag=alcapa_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=3},tag=alcapa_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=alcapa_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=5},tag=alcapa_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=6},tag=alcapa_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]

execute as @e[tag=active,scores={dialogue=1},tag=alcapa_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I'm a mountain animal and this is one of the highest places I can reach.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=2},tag=alcapa_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Also, these rocks are the only place without sand, I actually don't have a choice!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=3},tag=alcapa_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"You also hate sand?! Why are you even here on this island, you shouldn't stay in a place where you are uncomfortable."}]
execute as @e[tag=active,scores={dialogue=4},tag=alcapa_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"This is my job, my colleagues count on me.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=5},tag=alcapa_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Also, as you can see, at least I have the waves under control. They can't scare me if I keep an eye on them!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=6},tag=alcapa_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"That's nice to hear, I'm glad it works for you."}]

execute as @e[tag=active,scores={dialogue=7},tag=alcapa_L2] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=7..},tag=alcapa_L2] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=7..},tag=alcapa_L2] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=7..},tag=alcapa_L2] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=7..},tag=alcapa_L2] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=7..},tag=alcapa_L2] at @s if entity @p[tag=fade_in_end] run tag @e[tag=alcapa_puppet] add npc

execute as @e[tag=active,scores={dialogue=7..},tag=alcapa_L2] at @s if entity @p[tag=fade_in_end] run tag @s remove alcapa_L2


execute as @e[tag=active,scores={dialogue=1},tag=alcapa_quest,tag=!alcapa_D1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=alcapa_quest,tag=!alcapa_D1] at @s if entity @p[tag=fade_in_end] run tag @a add alcapa_quest_lines

execute as @e[tag=active,scores={dialogue=1},tag=alcapa_quest,tag=!alcapa_D1] at @s run execute at @e[tag=facing_puppet] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=alcapa_quest,tag=!alcapa_D1] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Hey, I'm sorry to bother you again, but I need your help."}]

execute as @e[tag=active,scores={dialogue=1},tag=alcapa_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=2},tag=alcapa_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=3},tag=alcapa_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=4},tag=alcapa_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=5},tag=alcapa_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=6},tag=alcapa_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=7},tag=alcapa_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=8},tag=alcapa_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=9},tag=alcapa_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=10},tag=alcapa_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=11},tag=alcapa_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=12},tag=alcapa_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=13},tag=alcapa_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=14},tag=alcapa_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 144.5 0

execute as @e[tag=active,scores={dialogue=1},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I've said I'm busy! I don't have time to...","color":"gray"}]
execute as @e[tag=active,scores={dialogue=2},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I'm trying to reach the middle of the island."}]
execute as @e[tag=active,scores={dialogue=3},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"So?","color":"gray"}]
execute as @e[tag=active,scores={dialogue=4},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"It's the last place to explore, so the only thing left to do on this island..."}]
execute as @e[tag=active,scores={dialogue=5},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ah…","color":"gray"}]
execute as @e[tag=active,scores={dialogue=6},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes, if I help you, I won't have to stay here any longer, that's a strong incentive...","color":"gray"}]
execute as @e[tag=active,scores={dialogue=7},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, I'll give you my most prized possession...","color":"gray"}]
execute as @e[tag=active,scores={dialogue=8},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"My fur! Here some of my precious wool...","color":"gray"}]
execute as @e[tag=active,scores={dialogue=9},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I appreciate it, but there was no need to shear yourself…"}]
execute as @e[tag=active,scores={dialogue=10},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Oh, don't worry, this is just the wool I've shed until now on this island!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=11},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, in that case I will gladly take it..."}]
execute as @e[tag=active,scores={dialogue=12},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Wait, you really kept every bit of wool you've shed?!"}]
execute as @e[tag=active,scores={dialogue=13},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Of course! It might no longer be part of my fur, but it's still mine!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=14},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I can't let this island have any of it!","color":"gray"}]

# The moment Alcapa realizes what Mike means, he stops watching the waves to look at her instead
execute as @e[tag=active,scores={dialogue=5},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tag @e[tag=alcapa] add ah
execute as @e[tag=active,scores={dialogue=5},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run execute as @e[tag=alcapa] at @s run tp @s ~ ~ ~ 0 35
execute as @e[tag=active,scores={dialogue=6},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tag @e[tag=alcapa] remove ah

execute as @e[tag=active,scores={dialogue=15},tag=alcapa_quest_lines] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=15..},tag=alcapa_quest_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=15..},tag=alcapa_quest_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ 144.5 0
execute as @e[tag=active,scores={dialogue=15..},tag=alcapa_quest_lines] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=15..},tag=alcapa_quest_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=15..},tag=alcapa_quest_lines] at @s if entity @p[tag=fade_in_end] run tag @e[tag=alcapa_puppet] add npc

execute as @e[tag=active,scores={dialogue=15..},tag=alcapa_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @e[tag=alcapa_puppet] remove alcapa_quest
execute as @e[tag=active,scores={dialogue=15..},tag=alcapa_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @a add wool
execute as @e[tag=active,scores={dialogue=15..},tag=alcapa_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @e[tag=polly] add polly_quest

execute as @e[tag=active,scores={dialogue=15..},tag=alcapa_quest_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove alcapa_quest_lines


# 2020-09-08 - Polly
execute as @e[tag=active,scores={dialogue=1},tag=polly] at @s if entity @p[tag=fade_out_end] run tag @a remove stop

execute as @e[tag=active,scores={dialogue=1},tag=polly] at @s if entity @p[tag=fade_in_end] run tag @a add npc

execute as @e[tag=active,scores={dialogue=1},tag=polly] at @s if entity @p[tag=fade_stands] run summon armor_stand ^1.7 ^ ^2.3 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_npc"]}
execute as @e[tag=active,scores={dialogue=1},tag=polly] at @s if entity @p[tag=fade_stands] run summon armor_stand ^ ^ ^2.7 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","player_puppet"]}
execute as @e[tag=active,scores={dialogue=1},tag=polly] at @s if entity @p[tag=fade_stands] run execute as @e[tag=player_puppet] at @s run tp @s ~ ~ ~ facing entity @e[tag=polly,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=polly] at @s if entity @p[tag=fade_stands] run summon armor_stand ^1.7 ^ ^-0.1 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_puppet"]}

execute as @e[tag=active,scores={dialogue=1},tag=polly] at @s if entity @p[tag=fade_start] run tag @e[tag=polly] remove npc


execute as @e[tag=active,scores={dialogue=1},tag=polly_D1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=polly_D1] at @s if entity @p[tag=fade_in_end] run tag @a add polly_L1

execute as @e[tag=active,scores={dialogue=1},tag=polly_D1] at @s run execute at @e[tag=facing_npc] run tp @a[tag=!fade_out_F] ~ ~ ~ 122 25
execute as @e[tag=active,scores={dialogue=1},tag=polly_D1] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Hi, you must be the detective I heard about. I’m Polly! You arrived on a very lovely day.","color":"gray"}]

execute as @e[tag=active,scores={dialogue=1},tag=polly_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=2},tag=polly_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 122 25
execute as @e[tag=active,scores={dialogue=3},tag=polly_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=polly_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 122 25
execute as @e[tag=active,scores={dialogue=5},tag=polly_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 122 25
execute as @e[tag=active,scores={dialogue=6},tag=polly_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]

execute as @e[tag=active,scores={dialogue=1},tag=polly_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"You're right, it's a very nice day! How's your job going?"}]
execute as @e[tag=active,scores={dialogue=2},tag=polly_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"A bit disappointing, we didn't find anything, but at least today it's my day off!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=3},tag=polly_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Oh, I'm sorry, I didn't know that, I shouldn't have bothered you..."}]
execute as @e[tag=active,scores={dialogue=4},tag=polly_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"No need to worry dear. To be honest, it's actually pretty boring doing nothing: I mostly sleep, which is nice, but I wouldn't mind doing something else.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=5},tag=polly_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"If you need help, feel free to ask: I would love to hear about any progress you've made.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=6},tag=polly_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Thank you, I will!"}]

execute as @e[tag=active,scores={dialogue=7},tag=polly_L1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=7..},tag=polly_L1] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ 122 25
execute as @e[tag=active,scores={dialogue=7..},tag=polly_L1] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ 122 25
execute as @e[tag=active,scores={dialogue=7..},tag=polly_L1] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=7..},tag=polly_L1] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=7..},tag=polly_L1] at @s if entity @p[tag=fade_in_end] run tag @e[tag=polly] add npc

execute as @e[tag=active,scores={dialogue=7..},tag=polly_L1] at @s if entity @p[tag=fade_out_end] run tag @e[tag=polly] remove polly_D1
execute as @e[tag=active,scores={dialogue=7..},tag=polly_L1] at @s if entity @p[tag=fade_out_end] run tag @e[tag=polly] add polly_D2

execute as @e[tag=active,scores={dialogue=7..},tag=polly_L1] at @s if entity @p[tag=fade_in_end] run tag @s remove polly_L1


execute as @e[tag=active,scores={dialogue=1},tag=polly_D2,tag=!polly_quest] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=polly_D2,tag=!polly_quest] at @s if entity @p[tag=fade_in_end] run tag @a add polly_L2

execute as @e[tag=active,scores={dialogue=1},tag=polly_D2,tag=!polly_quest] at @s run execute at @e[tag=facing_puppet] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=polly_D2,tag=!polly_quest] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Enjoying your day off? This island is a very nice place, I wouldn't mind doing nothing all day."}]

execute as @e[tag=active,scores={dialogue=1},tag=polly_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 122 25
execute as @e[tag=active,scores={dialogue=2},tag=polly_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=3},tag=polly_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=polly_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 122 25
execute as @e[tag=active,scores={dialogue=5},tag=polly_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]

execute as @e[tag=active,scores={dialogue=1},tag=polly_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes, I am! I have to travel a lot for my job, so I've visited many places, but this island is special, it even has waves!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=2},tag=polly_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"You're right! For being a natural phenomenon, I saw them only another time, August 11 2014, on another island."}]
execute as @e[tag=active,scores={dialogue=3},tag=polly_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"The whole island was a summer resort, pretty crazy place."}]
execute as @e[tag=active,scores={dialogue=4},tag=polly_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Oh, sounds fun! Maybe one day I'll visit it...","color":"gray"}]
execute as @e[tag=active,scores={dialogue=5},tag=polly_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes, I should return there one day..."}]

execute as @e[tag=active,scores={dialogue=6},tag=polly_L2] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=6..},tag=polly_L2] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ 122 25
execute as @e[tag=active,scores={dialogue=6..},tag=polly_L2] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ 122 25
execute as @e[tag=active,scores={dialogue=6..},tag=polly_L2] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=6..},tag=polly_L2] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=6..},tag=polly_L2] at @s if entity @p[tag=fade_in_end] run tag @e[tag=polly] add npc

execute as @e[tag=active,scores={dialogue=6..},tag=polly_L2] at @s if entity @p[tag=fade_in_end] run tag @s remove polly_L2


execute as @e[tag=active,scores={dialogue=1},tag=polly_quest,tag=!polly_D1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=polly_quest,tag=!polly_D1] at @s if entity @p[tag=fade_in_end] run tag @a add polly_quest_lines

execute as @e[tag=active,scores={dialogue=1},tag=polly_quest,tag=!polly_D1] at @s run execute at @e[tag=facing_npc] run tp @a[tag=!fade_out_F] ~ ~ ~ 122 25
execute as @e[tag=active,scores={dialogue=1},tag=polly_quest,tag=!polly_D1] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Hey, it's that llama wool? Alcapa is very jealous of his fur, how did you convince him to give it to you?","color":"gray"}]

execute as @e[tag=active,scores={dialogue=1},tag=polly_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=2},tag=polly_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 122 25
execute as @e[tag=active,scores={dialogue=3},tag=polly_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=polly_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=5},tag=polly_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 122 25
execute as @e[tag=active,scores={dialogue=6},tag=polly_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=7},tag=polly_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 122 25
execute as @e[tag=active,scores={dialogue=8},tag=polly_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=9},tag=polly_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ 122 25

execute as @e[tag=active,scores={dialogue=1},tag=polly_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"We have a common goal. But I'm not sure what I could do with it…"}]
execute as @e[tag=active,scores={dialogue=2},tag=polly_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I can make some strings with it, if you want!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=3},tag=polly_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Great, here's the wool!"}]
execute as @e[tag=active,scores={dialogue=4},tag=polly_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Thank you for your help! In the meantime, I think I will..."}]
execute as @e[tag=active,scores={dialogue=5},tag=polly_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I'm done!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=6},tag=polly_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Already? How did you manage to do it that quickly?"}]
execute as @e[tag=active,scores={dialogue=7},tag=polly_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"It's very easy if you know what you are doing. I made 4 strings, how many do you need?","color":"gray"}]
execute as @e[tag=active,scores={dialogue=8},tag=polly_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Just 1, keep the rest!"}]
execute as @e[tag=active,scores={dialogue=9},tag=polly_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Thank you, I'm sure they will keep me busy!","color":"gray"}]

# During the dialogue, the wool is removed from the player and the player model
execute as @e[tag=active,scores={dialogue=3},tag=polly_quest_lines] at @s if entity @p[scores={right=2}] run tag @a remove wool
execute as @e[tag=active,scores={dialogue=3},tag=polly_quest_lines] at @s if entity @p[scores={right=2}] run replaceitem entity @e[tag=player_puppet] weapon.mainhand air

execute as @e[tag=active,scores={dialogue=10},tag=polly_quest_lines] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=10..},tag=polly_quest_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing entity @e[tag=polly,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=10..},tag=polly_quest_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ facing entity @e[tag=polly,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=10..},tag=polly_quest_lines] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=10..},tag=polly_quest_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=10..},tag=polly_quest_lines] at @s if entity @p[tag=fade_in_end] run tag @e[tag=polly] add npc

execute as @e[tag=active,scores={dialogue=10..},tag=polly_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @e[tag=polly] remove polly_quest
execute as @e[tag=active,scores={dialogue=10..},tag=polly_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @a add string

execute as @e[tag=active,scores={dialogue=10..},tag=polly_quest_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove polly_quest_lines


# Oliver
# 2020-05-13: dialogue stands spawned one block under Oliver and tp facing 7 64 20 instead of facing Oliver (it was facing too high)
# 2020-08-30 - if Oliver was facing the player when talked to, the "right" villager wouldn't spawn; summon command has been changed to circumvent the bug, still without an explanation
# 2020-09-11 - updated from default message
execute as @e[tag=active,scores={dialogue=1},tag=oliver] at @s if entity @p[tag=fade_out_end] run tag @a remove stop

execute as @e[tag=active,scores={dialogue=1},tag=oliver] at @s if entity @p[tag=fade_in_end] run tag @a add npc

execute as @e[tag=active,scores={dialogue=1},tag=oliver] at @s positioned ~ ~-1 ~ if entity @p[tag=fade_stands] run summon armor_stand ^1.2 ^ ^2.4 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_npc"]}
execute as @e[tag=active,scores={dialogue=1},tag=oliver] at @s positioned ~ ~-1 ~ if entity @p[tag=fade_stands] run summon armor_stand ^ ^ ^1.8 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","player_puppet"]}
execute as @e[tag=active,scores={dialogue=1},tag=oliver] at @s positioned ~ ~-1 ~ if entity @p[tag=fade_stands] run execute as @e[tag=player_puppet] at @s run tp @s ~ ~ ~ facing entity @e[tag=oliver,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=oliver] at @s positioned ~ ~-1 ~ if entity @p[tag=fade_stands] run summon armor_stand ^1.2 ^ ^-0.6 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_puppet"]}

execute as @e[tag=active,scores={dialogue=1},tag=oliver] at @s if entity @p[tag=fade_start] run tag @e[tag=oliver] remove npc


execute as @e[tag=active,scores={dialogue=1},tag=oliver_D1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=oliver_D1] at @s if entity @p[tag=fade_in_end] run tag @a add oliver_L1

execute as @e[tag=active,scores={dialogue=1},tag=oliver_D1] at @s run execute at @e[tag=facing_npc] run tp @a[tag=!fade_out_F] ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=1},tag=oliver_D1] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Are you the detective Alfred talked about? Nice to meet you, I'm Oliver, the head of our team.","color":"gray"}]

execute as @e[tag=active,scores={dialogue=1},tag=oliver_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1]
execute as @e[tag=active,scores={dialogue=2},tag=oliver_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=3},tag=oliver_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=4},tag=oliver_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1]
execute as @e[tag=active,scores={dialogue=5},tag=oliver_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=6},tag=oliver_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1]
execute as @e[tag=active,scores={dialogue=7},tag=oliver_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=8},tag=oliver_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1]
execute as @e[tag=active,scores={dialogue=9},tag=oliver_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=10},tag=oliver_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1]
execute as @e[tag=active,scores={dialogue=11},tag=oliver_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=12},tag=oliver_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1]
execute as @e[tag=active,scores={dialogue=13},tag=oliver_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=14},tag=oliver_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1]
execute as @e[tag=active,scores={dialogue=15},tag=oliver_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=16},tag=oliver_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1]
execute as @e[tag=active,scores={dialogue=17},tag=oliver_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=18},tag=oliver_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1]
execute as @e[tag=active,scores={dialogue=19},tag=oliver_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=20},tag=oliver_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1]
execute as @e[tag=active,scores={dialogue=21},tag=oliver_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20

execute as @e[tag=active,scores={dialogue=1},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, no actually, I'm a different detective."}]
execute as @e[tag=active,scores={dialogue=2},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Doesn't matter: don't misunderstand me, but I don't think we need your help.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=3},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"We have already searched everywhere on the beach and found nothing, not much more you can do.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=4},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"What do you mean, haven't you searched the rest of island?"}]
execute as @e[tag=active,scores={dialogue=5},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"No.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=6},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Why?"}]
execute as @e[tag=active,scores={dialogue=7},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Because we can't.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=8},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Why?"}]
execute as @e[tag=active,scores={dialogue=9},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"As you surely know, most animals can't jump more than 1.2522 meter high. For some strange coincidence, the whole middle section of the island is higher than that, so it's literally impossible to explore.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=10},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Can't you build a stair or something to reach it?"}]
execute as @e[tag=active,scores={dialogue=11},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"No, you need a special permit for that.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=12},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"And the waterfall? Anybody can swim up waterfalls, why didn't you do that?"}]
execute as @e[tag=active,scores={dialogue=13},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"NO!... you also need a permit for that.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=14},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Really? Well, I'm sure you can get a permit for something simple as that..."}]
execute as @e[tag=active,scores={dialogue=15},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes... But it takes time for that.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=16},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"How much?"}]
execute as @e[tag=active,scores={dialogue=17},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Few... months.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=18},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Really?"}]
execute as @e[tag=active,scores={dialogue=19},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=20},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, I'm sure there's something else we can do. I will find a solution."}]
execute as @e[tag=active,scores={dialogue=21},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"You're welcome to try.","color":"gray"}]

execute as @e[tag=active,scores={dialogue=22},tag=oliver_L1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=22..},tag=oliver_L1] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing entity @e[tag=oliver,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=22..},tag=oliver_L1] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] facing entity @e[tag=oliver,limit=1,sort=nearest] feet rotated ~ 0 run tp @a ~ ~ ~ ~ ~
execute as @e[tag=active,scores={dialogue=22..},tag=oliver_L1] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=22..},tag=oliver_L1] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=22..},tag=oliver_L1] at @s if entity @p[tag=fade_in_end] run tag @e[tag=oliver] add npc

execute as @e[tag=active,scores={dialogue=22..},tag=oliver_L1] at @s if entity @p[tag=fade_out_end] run tag @e[tag=oliver] remove oliver_D1
execute as @e[tag=active,scores={dialogue=22..},tag=oliver_L1] at @s if entity @p[tag=fade_out_end] run tag @e[tag=oliver] add oliver_D2
execute as @e[tag=active,scores={dialogue=22..},tag=oliver_L1] at @s if entity @p[tag=fade_out_end] run tag @e[tag=pog] add pog_quest

execute as @e[tag=active,scores={dialogue=22..},tag=oliver_L1] at @s if entity @p[tag=fade_in_end] run tag @s remove oliver_L1


execute as @e[tag=active,scores={dialogue=1},tag=oliver_D2,tag=!oliver_quest,tag=!oliver_end] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=oliver_D2,tag=!oliver_quest,tag=!oliver_end] at @s if entity @p[tag=fade_in_end] run tag @a add oliver_L2

execute as @e[tag=active,scores={dialogue=1},tag=oliver_D2,tag=!oliver_quest,tag=!oliver_end] at @s run execute at @e[tag=facing_puppet] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=player_puppet,limit=1]
execute as @e[tag=active,scores={dialogue=1},tag=oliver_D2,tag=!oliver_quest,tag=!oliver_end] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"You seem to have everything under control on this island. Your team must really trust you."}]

execute as @e[tag=active,scores={dialogue=1},tag=oliver_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=2},tag=oliver_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1]
execute as @e[tag=active,scores={dialogue=3},tag=oliver_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=4},tag=oliver_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1]
execute as @e[tag=active,scores={dialogue=5},tag=oliver_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20

execute as @e[tag=active,scores={dialogue=1},tag=oliver_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Thank you. I do my best.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=2},tag=oliver_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"..."}]
execute as @e[tag=active,scores={dialogue=3},tag=oliver_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"...","color":"gray"}]
execute as @e[tag=active,scores={dialogue=4},tag=oliver_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"You also don't seem very talkative."}]
execute as @e[tag=active,scores={dialogue=5},tag=oliver_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Thank you. I do my best.","color":"gray"}]

execute as @e[tag=active,scores={dialogue=6},tag=oliver_L2] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=6..},tag=oliver_L2] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing entity @e[tag=oliver,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=6..},tag=oliver_L2] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] facing entity @e[tag=oliver,limit=1,sort=nearest] feet rotated ~ 0 run tp @a ~ ~ ~ ~ ~
execute as @e[tag=active,scores={dialogue=6..},tag=oliver_L2] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=6..},tag=oliver_L2] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=6..},tag=oliver_L2] at @s if entity @p[tag=fade_in_end] run tag @e[tag=oliver] add npc

execute as @e[tag=active,scores={dialogue=6..},tag=oliver_L2] at @s if entity @p[tag=fade_in_end] run tag @s remove oliver_L2


execute as @e[tag=active,scores={dialogue=1},tag=oliver_quest] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=oliver_quest] at @s if entity @p[tag=fade_in_end] run tag @a add oliver_quest_lines

execute as @e[tag=active,scores={dialogue=1},tag=oliver_quest] at @s run execute at @e[tag=facing_puppet] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=oliver_quest] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Hey, I'm trying to build something and they told me you have glue with you, can I borrow it?"}]

execute as @e[tag=active,scores={dialogue=1},tag=oliver_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=2},tag=oliver_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=3},tag=oliver_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=4},tag=oliver_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=5},tag=oliver_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20

execute as @e[tag=active,scores={dialogue=1},tag=oliver_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ok, I don't really need it anymore, now that there's not much more I can do here.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=2},tag=oliver_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Oh, you're making me curious, what do you use it for?"}]
execute as @e[tag=active,scores={dialogue=3},tag=oliver_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, I'm a bird, so I can't really use tools with my wings. I need glue to use them.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=4},tag=oliver_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"You put glue on your wings?!? Isn't it dangerous?"}]
execute as @e[tag=active,scores={dialogue=5},tag=oliver_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Not if you know what you're doing.","color":"gray"}]

execute as @e[tag=active,scores={dialogue=6},tag=oliver_quest_lines] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=6..},tag=oliver_quest_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing entity @e[tag=oliver,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=6..},tag=oliver_quest_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ facing entity @e[tag=oliver,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=6..},tag=oliver_quest_lines] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=6..},tag=oliver_quest_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=6..},tag=oliver_quest_lines] at @s if entity @p[tag=fade_in_end] run tag @e[tag=oliver] add npc

execute as @e[tag=active,scores={dialogue=6..},tag=oliver_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @e[tag=oliver] remove oliver_quest
execute as @e[tag=active,scores={dialogue=6..},tag=oliver_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @a add glue

execute as @e[tag=active,scores={dialogue=6..},tag=oliver_quest_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove oliver_quest_lines


execute as @e[tag=active,scores={dialogue=1},tag=oliver_end] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=oliver_end] at @s if entity @p[tag=fade_in_end] run tag @a add oliver_end_lines

execute as @e[tag=active,scores={dialogue=1},tag=oliver_end] at @s run execute at @e[tag=facing_puppet] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=oliver_end] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Hello again, I have a solution for the waterfall."}]

execute as @e[tag=active,scores={dialogue=1},tag=oliver_end_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=2},tag=oliver_end_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=3},tag=oliver_end_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=4},tag=oliver_end_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=5},tag=oliver_end_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 7 64 20
execute as @e[tag=active,scores={dialogue=6},tag=oliver_end_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]

execute as @e[tag=active,scores={dialogue=1},tag=oliver_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"W-wait, what? I said you need a...","color":"gray"}]
execute as @e[tag=active,scores={dialogue=2},tag=oliver_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I have a pair of goggles now! As you know, being a scientist, goggles are the most suitable equipment for any type of job: you can't be safer when you're wearing goggles!"}]
execute as @e[tag=active,scores={dialogue=3},tag=oliver_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"But…","color":"gray"}]
execute as @e[tag=active,scores={dialogue=4},tag=oliver_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"They are surely enough for climbing a waterfall! Don't worry, I got it!"}]
execute as @e[tag=active,scores={dialogue=5},tag=oliver_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ok, I guess I can't stop you now. Please, be careful!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=6},tag=oliver_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I will!"}]

execute as @e[tag=active,scores={dialogue=7},tag=oliver_end_lines] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=7..},tag=oliver_end_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing entity @e[tag=oliver,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=7..},tag=oliver_end_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ facing entity @e[tag=oliver,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=7..},tag=oliver_end_lines] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=7..},tag=oliver_end_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=7..},tag=oliver_end_lines] at @s if entity @p[tag=fade_in_end] run tag @e[tag=oliver] add npc

execute as @e[tag=active,scores={dialogue=7..},tag=oliver_end_lines] at @s if entity @p[tag=fade_out_end] run tag @e[tag=oliver] remove oliver_end
execute as @e[tag=active,scores={dialogue=7..},tag=oliver_end_lines] at @s if entity @p[tag=fade_out_end] run tag @a add cave

execute as @e[tag=active,scores={dialogue=7..},tag=oliver_end_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove oliver_end_lines


# Pog
# The summon command for the "dialogue_stand" armor stands is relative to the mob's position, instead of the npc's puppet, and it's also different to account for the pig longer body

#execute as @e[tag=active,scores={dialogue=1},tag=pog_puppet] at @e[tag=pog] unless entity @e[tag=facing_puppet] run summon armor_stand ^1.2 ^ ^3.1 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_npc"]}
#execute as @e[tag=active,scores={dialogue=1},tag=pog_puppet] at @e[tag=pog] unless entity @e[tag=player_puppet] run summon armor_stand ^ ^ ^2.5 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","player_puppet"]}
#execute as @e[tag=active,scores={dialogue=1},tag=pog_puppet] at @e[tag=pog] unless entity @e[tag=facing_puppet] run summon armor_stand ^1.2 ^ ^-0.6 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_puppet"]}

#2020-09-13
execute as @e[tag=active,scores={dialogue=1},tag=pog] at @s if entity @p[tag=fade_out_end] run tag @a remove stop

execute as @e[tag=active,scores={dialogue=1},tag=pog] at @s if entity @p[tag=fade_in_end] run tag @a add npc

execute as @e[tag=active,scores={dialogue=1},tag=pog] at @s if entity @p[tag=fade_stands] run summon armor_stand ^1.2 ^ ^3.1 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_npc"]}
execute as @e[tag=active,scores={dialogue=1},tag=pog] at @s if entity @p[tag=fade_stands] run summon armor_stand ^ ^ ^2.5 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","player_puppet"]}
execute as @e[tag=active,scores={dialogue=1},tag=pog] at @s if entity @p[tag=fade_stands] run execute as @e[tag=player_puppet] at @s run tp @s ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=pog] at @s if entity @p[tag=fade_stands] run summon armor_stand ^1.2 ^ ^-0.6 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_puppet"]}

execute as @e[tag=active,scores={dialogue=1},tag=pog] at @s if entity @p[tag=fade_start] run tag @e[tag=pog] remove npc


execute as @e[tag=active,scores={dialogue=1},tag=pog_D1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=pog_D1] at @s if entity @p[tag=fade_in_end] run tag @a add pog_L1

execute as @e[tag=active,scores={dialogue=1},tag=pog_D1] at @s run execute at @e[tag=facing_npc] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=pog_D1] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Hello, you must be the detective. I'm Pog, nice to meet you.","color":"gray"}]

execute as @e[tag=active,scores={dialogue=1},tag=pog_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=2},tag=pog_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=3},tag=pog_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=pog_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=5},tag=pog_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=6},tag=pog_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=7},tag=pog_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=8},tag=pog_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]

execute as @e[tag=active,scores={dialogue=1},tag=pog_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Hi! I am a detective, yes, but..."}]
execute as @e[tag=active,scores={dialogue=2},tag=pog_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Oh well, I can see you are not a bird. Don't worry, I heard about you, I'm sure you up to the job too.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=3},tag=pog_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Thanks, I do my best."}]
execute as @e[tag=active,scores={dialogue=4},tag=pog_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"So, what can you tell me about the slime mystery?"}]
execute as @e[tag=active,scores={dialogue=5},tag=pog_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Not much: other than the initial discovery, no progress has been done. Problem is, there's a very promising cave, but we haven't explored it yet...","color":"gray"}]
execute as @e[tag=active,scores={dialogue=6},tag=pog_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Why's that?"}]
execute as @e[tag=active,scores={dialogue=7},tag=pog_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, it's difficult to explain...","color":"gray"}]
execute as @e[tag=active,scores={dialogue=8},tag=pog_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Maybe you should try yourself. You should also talk to my boss, Oliver, he's standing in front of the waterfall: you will understand...","color":"gray"}]

execute as @e[tag=active,scores={dialogue=9},tag=pog_L1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=9..},tag=pog_L1] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=9..},tag=pog_L1] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=9..},tag=pog_L1] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=9..},tag=pog_L1] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=9..},tag=pog_L1] at @s if entity @p[tag=fade_in_end] run tag @e[tag=pog] add npc

execute as @e[tag=active,scores={dialogue=9..},tag=pog_L1] at @s if entity @p[tag=fade_out_end] run tag @e[tag=pog] remove pog_D1
execute as @e[tag=active,scores={dialogue=9..},tag=pog_L1] at @s if entity @p[tag=fade_out_end] run tag @e[tag=pog] add pog_D2

execute as @e[tag=active,scores={dialogue=9..},tag=pog_L1] at @s if entity @p[tag=fade_in_end] run tag @s remove pog_L1


execute as @e[tag=active,scores={dialogue=1},tag=pog_D2,tag=!pog_quest] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=pog_D2,tag=!pog_quest] at @s if entity @p[tag=fade_in_end] run tag @a add pog_L2

execute as @e[tag=active,scores={dialogue=1},tag=pog_D2,tag=!pog_quest] at @s run execute at @e[tag=facing_npc] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=pog_D2,tag=!pog_quest] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Have you talked to Oliver?","color":"gray"}]

execute as @e[tag=active,scores={dialogue=1},tag=pog_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=2},tag=pog_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]

execute as @e[tag=active,scores={dialogue=1},tag=pog_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Not yet, I will do it now."}]
execute as @e[tag=active,scores={dialogue=2},tag=pog_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Good luck!","color":"gray"}]

execute as @e[tag=active,scores={dialogue=3},tag=pog_L2] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=3..},tag=pog_L2] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=3..},tag=pog_L2] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=3..},tag=pog_L2] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=3..},tag=pog_L2] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=3..},tag=pog_L2] at @s if entity @p[tag=fade_in_end] run tag @e[tag=pog] add npc

execute as @e[tag=active,scores={dialogue=3..},tag=pog_L2] at @s if entity @p[tag=fade_in_end] run tag @s remove pog_L2


# 2020-12-11 - added requisite to not have the tag for the first dialogue
execute as @e[tag=active,scores={dialogue=1},tag=pog_quest,tag=!pog_D1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=pog_quest,tag=!pog_D1] at @s if entity @p[tag=fade_in_end] run tag @a add pog_quest_lines

execute as @e[tag=active,scores={dialogue=1},tag=pog_quest,tag=!pog_D1] at @s run execute at @e[tag=facing_npc] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=pog_quest,tag=!pog_D1] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"So, what did Oliver told you?","color":"gray"}]

execute as @e[tag=active,scores={dialogue=1},tag=pog_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=2},tag=pog_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=3},tag=pog_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=pog_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=5},tag=pog_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=6},tag=pog_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=7},tag=pog_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=8},tag=pog_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=9},tag=pog_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=10},tag=pog_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=11},tag=pog_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=12},tag=pog_quest_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=13},tag=pog_quest_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]

execute as @e[tag=active,scores={dialogue=1},tag=pog_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, to make it short, it looks like we need a permit to swim up the waterfall..."}]
execute as @e[tag=active,scores={dialogue=2},tag=pog_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes, and I guess he told you that it's basically impossible to obtain it, right?","color":"gray"}]
execute as @e[tag=active,scores={dialogue=3},tag=pog_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yeah, what's up with that?"}]
execute as @e[tag=active,scores={dialogue=4},tag=pog_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Truth is... that's a lie. Oliver just doesn't want us to even come near that waterfall.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=5},tag=pog_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"That doesn't make any sense!"}]
execute as @e[tag=active,scores={dialogue=6},tag=pog_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yeah, the real problem is another one: Oliver is deathly afraid of water.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=7},tag=pog_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"But that's not all: it may not look like it, but he deeply cares about his colleagues, so he stops even others from getting near the water, fearing they may hurt themselves.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=8},tag=pog_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Would have never guessed that. What can we do then?"}]
execute as @e[tag=active,scores={dialogue=9},tag=pog_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, I have a solution: we can craft a pair of goggles. If you wear them, you can convince him to let you reach the cave.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=10},tag=pog_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"That's clever: goggles are very safe!"}]
execute as @e[tag=active,scores={dialogue=11},tag=pog_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Here, take these two bottle bottoms: they need a bit of sanding, but you can use them as lens. You still need few other things to put the goggles together, but I'm sure the others have what you need.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=12},tag=pog_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"You could start with Oliver, he should have some glue. Come back to me when you have everything.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=13},tag=pog_quest_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ok, thanks for the help!"}]

execute as @e[tag=active,scores={dialogue=14},tag=pog_quest_lines] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=14..},tag=pog_quest_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=14..},tag=pog_quest_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=14..},tag=pog_quest_lines] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=14..},tag=pog_quest_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=14..},tag=pog_quest_lines] at @s if entity @p[tag=fade_in_end] run tag @e[tag=pog] add npc

execute as @e[tag=active,scores={dialogue=14..},tag=pog_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @e[tag=pog] remove pog_quest
execute as @e[tag=active,scores={dialogue=14..},tag=pog_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @e[tag=pog] remove pog_D2
execute as @e[tag=active,scores={dialogue=14..},tag=pog_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @e[tag=pog] add pog_D3
execute as @e[tag=active,scores={dialogue=14..},tag=pog_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @a add player_quest
execute as @e[tag=active,scores={dialogue=14..},tag=pog_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @e[tag=alcapa_puppet] add alcapa_quest
execute as @e[tag=active,scores={dialogue=14..},tag=pog_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @e[tag=oliver] add oliver_quest
execute as @e[tag=active,scores={dialogue=14..},tag=pog_quest_lines] at @s if entity @p[tag=fade_out_end] run tag @a add glass

execute as @e[tag=active,scores={dialogue=14..},tag=pog_quest_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove pog_quest_lines


execute as @e[tag=active,scores={dialogue=1},tag=pog_D3,tag=!pog_end] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=pog_D3,tag=!pog_end] at @s if entity @p[tag=fade_in_end] run tag @a add pog_L3

execute as @e[tag=active,scores={dialogue=1},tag=pog_D3,tag=!pog_end] at @s run execute at @e[tag=facing_puppet] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=pog_D3,tag=!pog_end] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Your boss's phobia is very strange: being on an island surrounded by water must make him very nervous..."}]

execute as @e[tag=active,scores={dialogue=1},tag=pog_L3] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=2},tag=pog_L3] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=3},tag=pog_L3] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=pog_L3] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=5},tag=pog_L3] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=6},tag=pog_L3] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]

execute as @e[tag=active,scores={dialogue=1},tag=pog_L3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Actually, no, he's fine with that.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=2},tag=pog_L3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Now I'm really confused..."}]
execute as @e[tag=active,scores={dialogue=3},tag=pog_L3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"He's only afraid of freshwater, so the sea doesn't scare him.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=4},tag=pog_L3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"In fact, he can't drink water, but any other liquid is fine; that's also why I had those glass pieces, they were from empty bottles.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=5},tag=pog_L3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, everybody has their own weaknesses. Maybe, one day, he will be able to conquer his fears..."}]
execute as @e[tag=active,scores={dialogue=6},tag=pog_L3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I'm sure he will someday.","color":"gray"}]

execute as @e[tag=active,scores={dialogue=7},tag=pog_L3] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=7..},tag=pog_L3] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=7..},tag=pog_L3] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=7..},tag=pog_L3] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=7..},tag=pog_L3] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=7..},tag=pog_L3] at @s if entity @p[tag=fade_in_end] run tag @e[tag=pog] add npc

execute as @e[tag=active,scores={dialogue=7..},tag=pog_L3] at @s if entity @p[tag=fade_in_end] run tag @s remove pog_L3


execute as @e[tag=active,scores={dialogue=1},tag=pog_end] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=pog_end] at @s if entity @p[tag=fade_in_end] run tag @a add pog_end_lines

execute as @e[tag=active,scores={dialogue=1},tag=pog_end] at @s run execute at @e[tag=facing_puppet] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=pog_end] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"I think I have everything for the goggles!"}]

execute as @e[tag=active,scores={dialogue=1},tag=pog_end_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=2},tag=pog_end_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=3},tag=pog_end_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=pog_end_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]

execute as @e[tag=active,scores={dialogue=1},tag=pog_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Great! Ok, we just need to sand the glass and glue the string to the lens. It will take just a moment...","color":"gray"}]

# Instead of a line, a dissolve effect is applied
# 2020-12-11 - changed dissolve in a fade out and added fade in with next line
execute as @e[tag=active,scores={dialogue=2},tag=pog_end_lines] at @s if entity @p[scores={right=2}] run tag @a add stop_dialogue
execute as @e[tag=active,scores={dialogue=2},tag=pog_end_lines] at @s if entity @p[scores={right=2}] run tag @a add fade_out_F
# "stop_dialogue" is removed at the end of the dissolve effect
execute as @e[tag=active,scores={dialogue=2},tag=pog_end_lines] at @s if entity @p[tag=fade_out_end] run tag @a remove stop_dialogue

# When the fade out has stopped, the player can advance to next line, which will trigger only at the end of the fade in
execute as @e[tag=active,scores={dialogue=3},tag=pog_end_lines] at @s if entity @p[scores={right=2}] run tag @a add stop_dialogue
execute as @e[tag=active,scores={dialogue=3},tag=pog_end_lines] at @s if entity @p[scores={right=2}] run tag @a add fade_in_F

# 2020-12-19 - v1.2, made items disappear during the dialogue
execute as @e[tag=active,scores={dialogue=3},tag=pog_end_lines] at @s if entity @p[scores={right=2}] run tag @a remove sandpaper
execute as @e[tag=active,scores={dialogue=3},tag=pog_end_lines] at @s if entity @p[scores={right=2}] run tag @a remove string
execute as @e[tag=active,scores={dialogue=3},tag=pog_end_lines] at @s if entity @p[scores={right=2}] run tag @a remove glue
execute as @e[tag=active,scores={dialogue=3},tag=pog_end_lines] at @s if entity @p[scores={right=2}] run tag @a remove glass
execute as @e[tag=active,scores={dialogue=3},tag=pog_end_lines] at @s if entity @p[scores={right=2}] run tag @a add goggles

execute as @e[tag=active,scores={dialogue=3},tag=pog_end_lines] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Here you go! Go talk to Oliver and... good luck! Just be careful inside the cave.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=3},tag=pog_end_lines] at @s if entity @p[tag=fade_in_end] run tag @a remove stop_dialogue

execute as @e[tag=active,scores={dialogue=4},tag=pog_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Don't worry, I will resolve the mystery!"}]

execute as @e[tag=active,scores={dialogue=5},tag=pog_end_lines] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=5..},tag=pog_end_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=5..},tag=pog_end_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ facing entity @e[tag=pog,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=5..},tag=pog_end_lines] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=5..},tag=pog_end_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=5..},tag=pog_end_lines] at @s if entity @p[tag=fade_in_end] run tag @e[tag=pog] add npc

execute as @e[tag=active,scores={dialogue=5..},tag=pog_end_lines] at @s if entity @p[tag=fade_out_end] run tag @e[tag=pog] remove pog_end
execute as @e[tag=active,scores={dialogue=5..},tag=pog_end_lines] at @s if entity @p[tag=fade_out_end] run tag @e[tag=oliver] add oliver_end

execute as @e[tag=active,scores={dialogue=5..},tag=pog_end_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove pog_end_lines

# Commands to give the "pog_end" tag if the player has all the requirement for the goggles
execute as @a[tag=sandpaper,tag=string,tag=glue,tag=glass] run tag @e[tag=pog] add pog_end


# 2020-12-03 - Jenny
execute as @e[tag=active,scores={dialogue=1},tag=jenny_puppet] at @s if entity @p[tag=fade_out_end] run tag @a remove stop

execute as @e[tag=active,scores={dialogue=1},tag=jenny_puppet] at @s if entity @p[tag=fade_in_end] run tag @a add npc

execute as @e[tag=active,scores={dialogue=1},tag=jenny_puppet] at @s if entity @p[tag=fade_stands] run summon armor_stand ^1.2 ^ ^2.1 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_npc"]}
execute as @e[tag=active,scores={dialogue=1},tag=jenny_puppet] at @s if entity @p[tag=fade_stands] run summon armor_stand ^ ^ ^2.3 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","player_puppet"]}
execute as @e[tag=active,scores={dialogue=1},tag=jenny_puppet] at @s if entity @p[tag=fade_stands] run execute as @e[tag=player_puppet] at @s run tp @s ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=1},tag=jenny_puppet] at @s if entity @p[tag=fade_stands] run summon armor_stand ^1.2 ^ ^-0.6 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_puppet"]}

execute as @e[tag=active,scores={dialogue=1},tag=jenny_puppet] at @s if entity @p[tag=fade_start] run tag @e[tag=jenny_puppet] remove npc


execute as @e[tag=active,scores={dialogue=1},tag=jenny_D1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=jenny_D1] at @s if entity @p[tag=fade_in_end] run tag @a add jenny_L1

execute as @e[tag=active,scores={dialogue=1},tag=jenny_D1] at @s run execute at @e[tag=facing_npc] run tp @a[tag=!fade_out_F] ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=1},tag=jenny_D1] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"Oh, hi!","color":"#60e848"}]

execute as @e[tag=active,scores={dialogue=1},tag=jenny_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=2},tag=jenny_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=3},tag=jenny_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=jenny_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=5},tag=jenny_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=6},tag=jenny_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=7},tag=jenny_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=8},tag=jenny_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=9},tag=jenny_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=10},tag=jenny_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=11},tag=jenny_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=12},tag=jenny_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=13},tag=jenny_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=14},tag=jenny_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=15},tag=jenny_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=16},tag=jenny_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=17},tag=jenny_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=18},tag=jenny_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=19},tag=jenny_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=20},tag=jenny_L1] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=21},tag=jenny_L1] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing -7 30.5 -1

execute as @e[tag=active,scores={dialogue=1},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Uh, there was a slime under the island all along?!?"}]
execute as @e[tag=active,scores={dialogue=2},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"What? Where?","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=3},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"In front of me!"}]
execute as @e[tag=active,scores={dialogue=4},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Really? I don’t see them!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=5},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"You! You are a slime!"}]
execute as @e[tag=active,scores={dialogue=6},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Uh? No, I’m just Jenny!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=7},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Oh, hi Jenny! I was talking about you, I didn't think I would have found a slime down here."}]
execute as @e[tag=active,scores={dialogue=8},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Oh, ok. For a moment I thought there was another slime here; it’s been a while since I last met someone of my kind…","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=9},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yeah, that’s why I'm surprised! Everyone was wondering where you guys went!"}]
execute as @e[tag=active,scores={dialogue=10},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"We are on vacation!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=11},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Really?"}]
execute as @e[tag=active,scores={dialogue=12},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes: after we invented the slime blocks, thanks to their enormous success, we made so much money that we simply decided to retire!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=13},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"That’s funny! Your disappearing has been a mystery since then!"}]
execute as @e[tag=active,scores={dialogue=14},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Haha, that’s indeed funny! It has been a long vacation, in fact.","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=15},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Maybe too long, I'm kinda sick of it. And I’m sure I’m not the only one.","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=16},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, that’s convenient: we need your help with the slime blocks!"}]
execute as @e[tag=active,scores={dialogue=17},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Really? What’s up with them?","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=18},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"They don’t bounce you when you hit their sides, it’s very annoying!"}]
execute as @e[tag=active,scores={dialogue=19},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Oh, I'm sorry for that. Must be an error with their design, maybe I can help.","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=20},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Great! There’s a team of scientist on the surface, they might be able to help!"}]
execute as @e[tag=active,scores={dialogue=21},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ok, let’s take my private passage: I'm going to open it, take it when you are ready to leave.","color":"#60e848"}]

execute as @e[tag=active,scores={dialogue=22},tag=jenny_L1] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

# At the end of the dialogue, during the fade in, the secret passage is opened
execute as @e[tag=active,scores={dialogue=22..},tag=jenny_L1] at @s if entity @p[tag=fade_in_start] run clone -11 31 -11 -12 32 -11 -8 31 -6
execute as @e[tag=active,scores={dialogue=22..},tag=jenny_L1] at @s if entity @p[tag=fade_in_start] run playsound minecraft:block.barrel.open master @a -8 31 -6 1 0

execute as @e[tag=active,scores={dialogue=22..},tag=jenny_L1] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=22..},tag=jenny_L1] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=22..},tag=jenny_L1] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=22..},tag=jenny_L1] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=22..},tag=jenny_L1] at @s if entity @p[tag=fade_in_end] run tag @e[tag=jenny_puppet] add npc

execute as @e[tag=active,scores={dialogue=22..},tag=jenny_L1] at @s if entity @p[tag=fade_out_end] run tag @e[tag=jenny_puppet] remove jenny_D1
execute as @e[tag=active,scores={dialogue=22..},tag=jenny_L1] at @s if entity @p[tag=fade_out_end] run tag @e[tag=jenny_puppet] add jenny_D2

execute as @e[tag=active,scores={dialogue=22..},tag=jenny_L1] at @s if entity @p[tag=fade_in_end] run tag @s remove jenny_L1


execute as @e[tag=active,scores={dialogue=1},tag=jenny_D2] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=jenny_D2] at @s if entity @p[tag=fade_in_end] run tag @a add jenny_L2

execute as @e[tag=active,scores={dialogue=1},tag=jenny_D2] at @s run execute at @e[tag=facing_npc] run tp @a[tag=!fade_out_F] ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=1},tag=jenny_D2] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"The passage is open, take it when you are ready to leave.","color":"#60e848"}]

execute as @e[tag=active,scores={dialogue=1},tag=jenny_L2] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

execute as @e[tag=active,scores={dialogue=1..},tag=jenny_L2] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=1..},tag=jenny_L2] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ facing -7 30.5 -1
execute as @e[tag=active,scores={dialogue=1..},tag=jenny_L2] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=1..},tag=jenny_L2] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=1..},tag=jenny_L2] at @s if entity @p[tag=fade_in_end] run tag @e[tag=jenny_puppet] add npc

execute as @e[tag=active,scores={dialogue=1..},tag=jenny_L2] at @s if entity @p[tag=fade_in_end] run tag @s remove jenny_L2


# 2020-12-04 - alfred_end
# This dialogue is automatically activated when the player takes Jenny's secret passage
execute as @e[tag=auto_active,tag=alfred_end] at @s if entity @p[tag=fade_out_end] run tag @a remove stop

execute as @e[tag=auto_active,tag=alfred_end] at @s if entity @p[tag=fade_in_end] run tag @a add npc

execute as @e[tag=auto_active,tag=alfred_end] at @s if entity @p[tag=fade_stands] run summon armor_stand ^2.1 ^ ^2.1 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_npc"]}
execute as @e[tag=auto_active,tag=alfred_end] at @s if entity @p[tag=fade_stands] run summon armor_stand ^0.6 ^ ^2.2 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","player_puppet"]}
execute as @e[tag=auto_active,tag=alfred_end] at @s if entity @p[tag=fade_stands] run execute as @e[tag=player_puppet] at @s run tp @s ~ ~ ~ facing entity @e[tag=alfred_end,limit=1,sort=nearest]
execute as @e[tag=auto_active,tag=alfred_end] at @s if entity @p[tag=fade_stands] run summon armor_stand ^1.2 ^ ^-0.9 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_puppet"]}
# Additional model and armor stand for Jenny
execute as @e[tag=auto_active,tag=alfred_end] at @s if entity @p[tag=fade_stands] run summon slime ^-0.6 ^ ^2.2 {Size:1,Invulnerable:true,PersistenceRequired:true,NoAI:true,NoGravity:true,Rotation:[-160.0f,0.0f],Tags:["jenny_end","end_puppet"]}
execute as @e[tag=auto_active,tag=alfred_end] at @s if entity @p[tag=fade_stands] run summon armor_stand ^-1.2 ^ ^-0.9 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_jenny"]}

execute as @e[tag=auto_active,tag=alfred_end] at @s if entity @p[tag=fade_start] run tag @e[tag=alfred_end] remove npc


# The dissolve effect is applied when the player takes the secret passage
# There's no need for a tag for the dialogue, so alfred_end is used
execute as @e[tag=auto_active,tag=alfred_end] at @s if entity @p[tag=fade_in_end] run tag @a add alfred_end_lines

execute as @e[tag=auto_active,tag=alfred_end] at @s run execute at @e[tag=facing_npc] run tp @a[tag=!fade_out_F] ~ ~ ~ facing entity @e[tag=alfred_end,limit=1,sort=nearest]
execute as @e[tag=auto_active,tag=alfred_end] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"?!?","color":"gray"}]

execute as @e[tag=active,scores={dialogue=1},tag=alfred_end_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred_end,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=2},tag=alfred_end_lines] at @s run execute at @e[tag=facing_jenny] run tp @a ~ ~ ~ facing entity @e[tag=jenny_end,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=3},tag=alfred_end_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred_end,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=alfred_end_lines] at @s run execute at @e[tag=facing_jenny] run tp @a ~ ~ ~ facing entity @e[tag=jenny_end,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=5},tag=alfred_end_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred_end,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=6},tag=alfred_end_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred_end,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=7},tag=alfred_end_lines] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=8},tag=alfred_end_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred_end,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=9},tag=alfred_end_lines] at @s run execute at @e[tag=facing_jenny] run tp @a ~ ~ ~ facing entity @e[tag=jenny_end,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=10},tag=alfred_end_lines] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=alfred_end,limit=1,sort=nearest]

execute as @e[tag=active,scores={dialogue=1},tag=alfred_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Cow Detective, you've found a slime on this island!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=2},tag=alfred_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Wait, where?!?","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=3},tag=alfred_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"On this island!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=4},tag=alfred_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ah yes, that’s me. I’m Jenny, nice to meet you!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=5},tag=alfred_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Hello!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=6},tag=alfred_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"So, I was right, this island had a secret of the slime variety. Good job detective!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=7},tag=alfred_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Thank you!"}]
execute as @e[tag=active,scores={dialogue=8},tag=alfred_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"So, Jenny, did the detective tell you about the issue with the slime blocks?","color":"gray"}]
execute as @e[tag=active,scores={dialogue=9},tag=alfred_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes, I can help!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=10},tag=alfred_end_lines] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Great! Let’s go to the scientists, I'm sure they will be as surprised as me to see you!","color":"gray"}]

execute as @e[tag=active,scores={dialogue=11},tag=alfred_end_lines] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

# The tag auto-active is removed at the start of the final dissolve effect that ends the dialogue
execute as @e[tag=active,scores={dialogue=11..},tag=alfred_end_lines] at @s if entity @p[tag=fade_in_start] run tag @e[tag=alfred_end] remove auto_active
# The players receive the tag "final_island", which sets up the npcs for the last dialogue on the island
execute as @e[tag=active,scores={dialogue=11..},tag=alfred_end_lines] at @s if entity @p[tag=fade_in_start] run tag @a add final_island

execute as @e[tag=active,scores={dialogue=11..},tag=alfred_end_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] ~ ~ ~ facing entity @e[tag=alfred_end,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=11..},tag=alfred_end_lines] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a ~ ~ ~ facing entity @e[tag=alfred_end,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=11..},tag=alfred_end_lines] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=11..},tag=alfred_end_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=11..},tag=alfred_end_lines] at @s if entity @p[tag=fade_in_end] run tag @e[tag=alfred_end] add npc

# At the end of the dialogue, the temporary models for Alfred and Jenny are removed
execute as @e[tag=active,scores={dialogue=11..},tag=alfred_end_lines] at @s if entity @p[tag=fade_out_end] run execute as @e[tag=end_puppet] run tp @s ~ -99 ~
execute as @e[tag=active,scores={dialogue=11..},tag=alfred_end_lines] at @s if entity @p[tag=fade_out_end] run execute as @e[tag=end_puppet] run data merge entity @s {Health:0f,DeathTime:19}

execute as @e[tag=active,scores={dialogue=11..},tag=alfred_end_lines] at @s if entity @p[tag=fade_in_end] run tag @s remove alfred_end_lines


# Island Final
# 2020-12-06 - updated from default message, changed final tp and position facing_jenny
execute as @e[tag=active,scores={dialogue=1},tag=oliver_final] at @s if entity @p[tag=fade_out_end] run tag @a remove stop

execute as @e[tag=active,scores={dialogue=1},tag=oliver_final] at @s if entity @p[tag=fade_in_end] run tag @a add npc

execute as @e[tag=active,scores={dialogue=1},tag=oliver_final] at @s positioned ~ ~-1 ~ if entity @p[tag=fade_stands] run summon armor_stand ^1.0 ^ ^2.1 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_npc"]}
execute as @e[tag=active,scores={dialogue=1},tag=oliver_final] at @s positioned ~ ~-1 ~ if entity @p[tag=fade_stands] run summon armor_stand ^-1.5 ^ ^1.5 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","player_puppet"]}
execute as @e[tag=active,scores={dialogue=1},tag=oliver_final] at @s positioned ~ ~-1 ~ if entity @p[tag=fade_stands] run execute as @e[tag=player_puppet] at @s run tp @s ~ ~ ~ facing entity @e[tag=oliver_final,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=1},tag=oliver_final] at @s positioned ~ ~-1 ~ if entity @p[tag=fade_stands] run summon armor_stand ^-1.2 ^ ^-0.6 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_puppet"]}
# dialogue_stand for Jenny
execute as @e[tag=active,scores={dialogue=1},tag=oliver_final] at @s positioned ~ ~-1 ~ if entity @p[tag=fade_stands] run summon armor_stand ^0.9 ^ ^-0.3 {Marker:true,NoGravity:true,Invisible:true,Tags:["dialogue_stand","facing_jenny"]}

execute as @e[tag=active,scores={dialogue=1},tag=oliver_final] at @s if entity @p[tag=fade_start] run tag @e[tag=oliver_final] remove npc

# This is a dialogue that can only happen once, so there's no need for a tag for it; oliver_final is used again instead
execute as @e[tag=active,scores={dialogue=1},tag=oliver_final] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=oliver_final] at @s if entity @p[tag=fade_in_end] run tag @a add island_END

execute as @e[tag=active,scores={dialogue=1},tag=oliver_final] at @s run execute at @e[tag=facing_npc] run tp @a[tag=!fade_out_F] ~ ~ ~ facing 0 64 25
execute as @e[tag=active,scores={dialogue=1},tag=oliver_final] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"…Ah, that’s interesting. So, what actually bounces you is the inner cube!","color":"gray"}]

execute as @e[tag=active,scores={dialogue=1},tag=island_END] at @s run execute at @e[tag=facing_jenny] run tp @a ~ ~ ~ facing entity @e[tag=jenny_final,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=2},tag=island_END] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=3},tag=island_END] at @s run execute at @e[tag=facing_jenny] run tp @a ~ ~ ~ facing entity @e[tag=jenny_final,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=4},tag=island_END] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 0 64 25
execute as @e[tag=active,scores={dialogue=5},tag=island_END] at @s run execute at @e[tag=facing_jenny] run tp @a ~ ~ ~ facing entity @e[tag=jenny_final,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=6},tag=island_END] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 0 64 25
execute as @e[tag=active,scores={dialogue=7},tag=island_END] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=8},tag=island_END] at @s run execute at @e[tag=facing_jenny] run tp @a ~ ~ ~ facing entity @e[tag=jenny_final,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=9},tag=island_END] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 0 64 25
execute as @e[tag=active,scores={dialogue=10},tag=island_END] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 0 64 25
execute as @e[tag=active,scores={dialogue=11},tag=island_END] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 0 64 25
execute as @e[tag=active,scores={dialogue=12},tag=island_END] at @s run execute at @e[tag=facing_jenny] run tp @a ~ ~ ~ facing entity @e[tag=jenny_final,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=13},tag=island_END] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 0 64 25
execute as @e[tag=active,scores={dialogue=14},tag=island_END] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=15},tag=island_END] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 0 64 25
execute as @e[tag=active,scores={dialogue=16},tag=island_END] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 0 64 25
execute as @e[tag=active,scores={dialogue=17},tag=island_END] at @s run execute at @e[tag=facing_jenny] run tp @a ~ ~ ~ facing entity @e[tag=jenny_final,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=18},tag=island_END] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=19},tag=island_END] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 0 64 25
execute as @e[tag=active,scores={dialogue=20},tag=island_END] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=21},tag=island_END] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 0 64 25
execute as @e[tag=active,scores={dialogue=22},tag=island_END] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing 0 64 25
execute as @e[tag=active,scores={dialogue=23},tag=island_END] at @s run execute at @e[tag=facing_jenny] run tp @a ~ ~ ~ facing entity @e[tag=jenny_final,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=24},tag=island_END] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=25},tag=island_END] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ facing entity @e[tag=player_puppet,limit=1,sort=nearest]

# The player model faces Jenny during part of the dialogue (free_look is removed by a command in "commands.mcfunction")
execute as @e[tag=active,scores={dialogue=2..12},tag=island_END] at @s run tag @e[tag=player_model] add free_look
execute as @e[tag=active,scores={dialogue=2..12},tag=island_END] at @s run execute as @e[tag=player_model] at @s run tp @s ~ ~ ~ facing entity @e[tag=jenny_final,limit=1,sort=nearest]

execute as @e[tag=active,scores={dialogue=1},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes. And that’s also why the sides don't work: the cube is too small!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=2},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Is there a way to fix it?"}]
execute as @e[tag=active,scores={dialogue=3},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=4},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"How? Seems like a difficult task…","color":"gray"}]
execute as @e[tag=active,scores={dialogue=5},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"By making the inner cube bigger!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=6},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"That’s genius!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=7},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Wow, I would have never guessed it. You slimes are very clever!"}]
execute as @e[tag=active,scores={dialogue=8},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Thank you, but maybe we should have thought about it before.","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=9},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Nothing is perfect on the first try.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=10},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"At least, that’s what I've been told.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=11},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"But I'm pretty sure about it.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=12},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I will take your word for it!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=13},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, detective, you solved the case. Thank you!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=14},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"No problem!"}]
execute as @e[tag=active,scores={dialogue=15},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Our job here is done, our ship should be here soon.","color":"gray"}]
execute as @e[tag=active,scores={dialogue=16},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Detective, Jenny, do you need a passage?","color":"gray"}]
execute as @e[tag=active,scores={dialogue=17},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Sure!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=18},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I’ll accept the offer too. I think I swam enough for today."}]
execute as @e[tag=active,scores={dialogue=19},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Wait a second… You came here by swimming?!?","color":"gray"}]
execute as @e[tag=active,scores={dialogue=20},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes."}]
execute as @e[tag=active,scores={dialogue=21},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I was wondering why I didn't see another boat today!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=22},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I didn't know cows were good swimmers!","color":"gray"}]
execute as @e[tag=active,scores={dialogue=23},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Me neither!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=24},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes, I'm actually pretty strong!"}]
execute as @e[tag=active,scores={dialogue=25},tag=island_END] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Must be because I’m the protagonist of this story…"}]

execute as @e[tag=active,scores={dialogue=26},tag=island_END] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

# Instead of teleporting stop_player and the player to the player_puppet, they are teleported to a black room to prepare for the next scene
# 2020-12-09 - Made black room lower to stop the music
execute as @e[tag=active,scores={dialogue=26..},tag=island_END] at @s if entity @p[tag=fade_in_start] run tp @e[tag=stop_player] 0 45 30
execute as @e[tag=active,scores={dialogue=26..},tag=island_END] at @s if entity @p[tag=fade_in_start] run tp @a 0 45 30
execute as @e[tag=active,scores={dialogue=26..},tag=island_END] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=26..},tag=island_END] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
execute as @e[tag=active,scores={dialogue=26..},tag=island_END] at @s if entity @p[tag=fade_in_end] run tag @e[tag=oliver_final] add npc

# The player is given a tag to prepare for the next scene
execute as @e[tag=active,scores={dialogue=26..},tag=island_END] at @s if entity @p[tag=fade_out_end] run tag @a add END_ISLAND

execute as @e[tag=active,scores={dialogue=26..},tag=island_END] at @s if entity @p[tag=fade_in_end] run tag @s remove island_END


# 2020-12-09 - Phone 2
# Setup commands are already done by the first dialogue on this function

# At the start of the dialogue, the phone is turned on (this time, with a different model)
execute as @e[tag=active,scores={dialogue=1},tag=phone_D2] at @s if entity @p[tag=fade_in_end] as @e[tag=phone] at @s run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:redstone",Count:1b,tag:{CustomModelData:3}}]}

execute as @e[tag=active,scores={dialogue=1},tag=phone_D2] at @s if entity @p[scores={right=2}] run tag @a add dissolve_start
execute as @e[tag=active,scores={dialogue=1},tag=phone_D2] at @s if entity @p[tag=fade_in_end] run tag @a add phone_L2

execute as @e[tag=active,scores={dialogue=1},tag=phone_D2] at @s run execute at @e[tag=facing_puppet] run tp @a[tag=!fade_out_F] ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=1},tag=phone_D2] at @s if entity @p[tag=fade_in_end] run tellraw @a ["",{"text":"!!"}]

execute as @e[tag=active,scores={dialogue=1},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=2},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=3},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=4},tag=phone_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=5},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=6},tag=phone_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=7},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=8},tag=phone_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=9},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=10},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=11},tag=phone_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=12},tag=phone_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=13},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=14},tag=phone_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=15},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=16},tag=phone_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=17},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=18},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=19},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=20},tag=phone_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=21},tag=phone_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=22},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=23},tag=phone_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=24},tag=phone_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=25},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=26},tag=phone_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=27},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3
execute as @e[tag=active,scores={dialogue=28},tag=phone_L2] at @s run execute at @e[tag=facing_npc] run tp @a ~ ~ ~ facing entity @e[tag=phone_puppet,limit=1,sort=nearest]
execute as @e[tag=active,scores={dialogue=29},tag=phone_L2] at @s run execute at @e[tag=facing_puppet] run tp @a ~ ~ ~ -152.4 3

execute as @e[tag=active,scores={dialogue=1},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I didn't notice someone is calling me!"}]
execute as @e[tag=active,scores={dialogue=2},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I should really stop removing both sound and vibration when I’m at home: I’m not investigating a case, I don't need to be sneaky!"}]
execute as @e[tag=active,scores={dialogue=3},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Hello?"}]
execute as @e[tag=active,scores={dialogue=4},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Cow Detective! I’m Jenny!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=5},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Oh, hello Jenny! Sorry I didn't recognize you from your picture, being called by a slime is still pretty strange, even if the mystery has been resolved…"}]
execute as @e[tag=active,scores={dialogue=6},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"A slime?!? Where!?!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=7},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"…"}]
execute as @e[tag=active,scores={dialogue=8},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Nah, I'm kidding, I know you're talking about me!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=9},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Haha, you're very funny!!"}]
execute as @e[tag=active,scores={dialogue=10},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"So, how is it going with the new revised slime blocks?"}]
execute as @e[tag=active,scores={dialogue=11},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Good! Me and some other slimes are working on it full time!!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=12},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"After the long vacation, we were all pretty eager to work again on something!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=13},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Great! Happy to hear that."}]
execute as @e[tag=active,scores={dialogue=14},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"How about you? I saw the interview they did with you on tv!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=15},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"They interviewed me?!? What?"}]
execute as @e[tag=active,scores={dialogue=16},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes, you weren't there for it?","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=17},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I sure wasn't!"}]
execute as @e[tag=active,scores={dialogue=18},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Wait a second…"}]
execute as @e[tag=active,scores={dialogue=19},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Were they interviewing me or Crow detective?"}]
execute as @e[tag=active,scores={dialogue=20},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Now that I think of it, you looked strange!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=21},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Those feathers were suspicious…","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=22},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Well, now I'm curious! What was the interview about?"}]
execute as @e[tag=active,scores={dialogue=23},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"She’s working on a very difficult investigation! They were asking her about the progress she made…","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=24},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Sadly, it looks like she’s at a dead end…","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=25},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Really? I'm sorry to hear that..."}]
execute as @e[tag=active,scores={dialogue=26},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Maybe you can help her!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=27},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"You're right! I need to contact her!"}]
execute as @e[tag=active,scores={dialogue=28},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Good luck, I'm sure you will resolve this case too!","color":"#60e848"}]
execute as @e[tag=active,scores={dialogue=29},tag=phone_L2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I will do my best!"}]

execute as @e[tag=active,scores={dialogue=30},tag=phone_L2] at @s if entity @p[scores={right=2}] run tag @a add dissolve_end

# Instead of teleporting stop_player and the player to the player_puppet, they are teleported to a black room to prepare for the next scene
execute as @e[tag=active,scores={dialogue=30..},tag=phone_L2] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @e[tag=stop_player] 0 30 -20
execute as @e[tag=active,scores={dialogue=30..},tag=phone_L2] at @s if entity @p[tag=fade_in_start] run execute at @e[tag=player_puppet] run tp @a 0 30 -20
execute as @e[tag=active,scores={dialogue=30..},tag=phone_L2] at @s if entity @p[tag=fade_in_start] run kill @e[tag=dialogue_stand]
execute as @e[tag=active,scores={dialogue=30..},tag=phone_L2] at @s if entity @p[tag=fade_in_end] run tag @s remove npc
# This time there's no need to remove the npc tag
execute as @e[tag=active,scores={dialogue=30..},tag=phone_L2] at @s if entity @p[tag=fade_in_end] run tag @e[tag=phone_puppet] add npc

execute as @e[tag=active,scores={dialogue=30..},tag=phone_L2] at @s if entity @p[tag=fade_out_end] run tag @e[tag=phone_puppet] remove phone_D2

# The player is given a tag to prepare for the map's end
execute as @e[tag=active,scores={dialogue=30..},tag=phone_L2] at @s if entity @p[tag=fade_out_end] run tag @a add END_MAP

# Once again, at the end of the dialogue, the phone is turned off
execute as @e[tag=active,scores={dialogue=30..},tag=phone_L2] at @s if entity @p[tag=fade_out_end] as @e[tag=phone] at @s run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:redstone",Count:1b,tag:{CustomModelData:1}}]}

execute as @e[tag=active,scores={dialogue=30..},tag=phone_L2] at @s if entity @p[tag=fade_in_end] run tag @s remove phone_L2


# This work is licensed under a Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.
# You can monetize videos about this map, as long as you credit the creator, PmkExpert, in a visible way.
# Contact on Reddit for any question: https://www.reddit.com/user/Pmk23
# Visit Planet Minecraft for the latest updates: https://www.planetminecraft.com/member/pmk/
# Social Medias: https://twitter.com/PmkExpert https://www.youtube.com/user/Pmkexpert