# 2020-04-27

# Player's model during conversations
# 2020-05-09 change: added "cow" tag for compatibility with goggles model
# 2020-08-30 - changed summon coordinates to hid the first frames of the model, invisibility to keep it invisible after the first frames and invulnerability
# 2020-12-20 - added tag "mike" just so there's at least one mention of Cow Detective real name
execute at @e[tag=player_puppet] unless entity @e[tag=player_model,tag=cow] run summon cow ^ ^-2 ^ {NoAI:true,NoGravity:true,Invulnerable:true,ActiveEffects:[{Id:14,Duration:5,Amplifier:0b,ShowParticles:0b}],Tags:["player_model","cow","mike"]}

#* Oliver needs a puppet because it's on top of a block, so these command act like he has the tag "glow"
execute if entity @e[tag=oliver_puppet,tag=active] run effect give @e[tag=oliver] glowing 1 1 true
execute if entity @e[tag=oliver_puppet,tag=!active] run effect clear @e[tag=oliver] glowing
# These are like the commands used in "commands_controller.mcfunction", but must be here after the previous two commands to work
execute if entity @a[tag=npc] run effect clear @e[tag=oliver] glowing
execute if entity @a[scores={fade=1..}] run effect clear @e[tag=oliver] glowing

# Command to kill the eggs that Oliver lays
# The command is done this way because, by instead changing the entity data every tick, the glowing outline is made not visible (MC-181134)
execute as @e[tag=oliver,nbt={EggLayTime:2}] run data modify entity @s EggLayTime set value 999999

# These command lets the player pick up shells (one set for each type)
# 2020-12-11 - added tag "no_look" to shells
execute as @e[tag=shell,tag=1] at @s positioned ~ ~0.3 ~ unless entity @e[tag=shell_1_npc,distance=..0.2] at @s run summon armor_stand ~ ~0.3 ~ {Marker:true,Invisible:true,NoGravity:true,Tags:["shell_right","shell_1_npc","npc_puppet","npc","no_look"]}
execute as @e[tag=shell_1_npc] at @s positioned ~ ~-0.3 ~ unless entity @e[tag=shell,tag=1,distance=..0.2] run kill @s
execute as @e[tag=active,scores={dialogue=1},tag=shell_1_npc] at @s if entity @p[scores={right=2}] run give @p nautilus_shell{CustomModelData:1,display:{Name:"[{\"text\":\"Clam shell\",\"italic\":true,\"bold\":false,\"color\":\"gold\"}]"},shell:true,clam:true}
execute as @e[tag=active,scores={dialogue=1},tag=shell_1_npc] at @s if entity @p[scores={right=2}] run kill @e[tag=shell,tag=1,limit=1,sort=nearest]

execute as @e[tag=shell,tag=2] at @s positioned ~ ~0.3 ~ unless entity @e[tag=shell_2_npc,distance=..0.2] at @s run summon armor_stand ~ ~0.3 ~ {Marker:true,Invisible:true,NoGravity:true,Tags:["shell_right","shell_2_npc","npc_puppet","npc","no_look"]}
execute as @e[tag=shell_2_npc] at @s positioned ~ ~-0.3 ~ unless entity @e[tag=shell,tag=2,distance=..0.2] run kill @s
execute as @e[tag=active,scores={dialogue=1},tag=shell_2_npc] at @s if entity @p[scores={right=2}] run give @p nautilus_shell{CustomModelData:2,display:{Name:"[{\"text\":\"Scallop shell\",\"italic\":true,\"bold\":false,\"color\":\"gold\"}]"},shell:true,scallop:true}
execute as @e[tag=active,scores={dialogue=1},tag=shell_2_npc] at @s if entity @p[scores={right=2}] run kill @e[tag=shell,tag=2,limit=1,sort=nearest]

execute as @e[tag=shell,tag=3] at @s positioned ~ ~0.3 ~ unless entity @e[tag=shell_3_npc,distance=..0.2] at @s run summon armor_stand ~ ~0.3 ~ {Marker:true,Invisible:true,NoGravity:true,Tags:["shell_right","shell_3_npc","npc_puppet","npc","no_look"]}
execute as @e[tag=shell_3_npc] at @s positioned ~ ~-0.3 ~ unless entity @e[tag=shell,tag=3,distance=..0.2] run kill @s
execute as @e[tag=active,scores={dialogue=1},tag=shell_3_npc] at @s if entity @p[scores={right=2}] run give @p nautilus_shell{CustomModelData:3,display:{Name:"[{\"text\":\"Turritella shell\",\"italic\":true,\"bold\":false,\"color\":\"gold\"}]"},shell:true,turritella:true}
execute as @e[tag=active,scores={dialogue=1},tag=shell_3_npc] at @s if entity @p[scores={right=2}] run kill @e[tag=shell,tag=3,limit=1,sort=nearest]

# These commands give glowing to pickable shells
execute as @e[tag=shell_right,tag=active] at @s run effect give @e[tag=shell,limit=1,sort=nearest] glowing 1 1 true
execute as @e[tag=shell_right,tag=!active] at @s run effect clear @e[tag=shell,limit=1,sort=nearest] glowing

# 2020-04-28

#* Pog is similar to Oliver
execute if entity @e[tag=pog_puppet,tag=active] run effect give @e[tag=pog] glowing 1 1 true
execute if entity @e[tag=pog_puppet,tag=!active] run effect clear @e[tag=pog] glowing
# These are like the commands used in "commands_controller.mcfunction", but must be here after the previous two commands to work
execute if entity @a[tag=npc] run effect clear @e[tag=pog] glowing
execute if entity @a[scores={fade=1..}] run effect clear @e[tag=pog] glowing

# These commands stop the player from climbing the waterfall and face Oliver towards the player if close to it
# 2020-08-30 - change first command to have the same one of the command after (for some reason, they weren't the same before)
# 2020-09-11 - changed tag required to use "goggles" just for the player's model
# 2020-12-11 - changed line's color to gray and removed "[Oliver]: "
execute as @a[tag=!cave,tag=!after_cave,x=-1,y=65,z=11,dx=5,dy=7,dz=4] at @s if block ~ ~ ~ water run tellraw @a ["",{"text":"You can't climb the waterfall, it's dangerous!","color":"gray"}]
execute as @a[tag=!cave,tag=!after_cave,x=-1,y=65,z=11,dx=5,dy=7,dz=4] at @s if block ~ ~ ~ water run tp @s @e[limit=1,tag=waterfall_close]
# 2020-08-26 - increased area of effect by 1 block in the x and z directions
execute if entity @a[x=-1,y=63,z=12,dx=6,dy=6,dz=8] as @e[tag=oliver] at @s run tp @s ^ ^ ^ facing entity @p
execute unless entity @a[x=-1,y=63,z=12,dx=6,dy=6,dz=8] as @e[tag=oliver] at @s run execute as @e[tag=oliver] run data merge entity @s {Rotation:[0.0f,0.0f]}

# Alcapa has also a puppet, but, differently, he needs one because he constantly faces the nearest wave, thanks to the first command
# 2020-09-07 - removed * because these commands are needed given that Alcapa still has a puppet and added "tag=!ah" to stop the command for a line during the quest dialogue
execute as @e[tag=alcapa,tag=!ah] at @s run tp @s ^ ^ ^ facing entity @e[limit=1,sort=nearest,tag=wave]

execute if entity @e[tag=alcapa_puppet,tag=active] run effect give @e[tag=alcapa] glowing 1 1 true
execute if entity @e[tag=alcapa_puppet,tag=!active] run effect clear @e[tag=alcapa] glowing
# These are like the commands used in "commands_controller.mcfunction", but must be here after the previous two commands to work
execute if entity @a[tag=npc] run effect clear @e[tag=alcapa] glowing
execute if entity @a[scores={fade=1..}] run effect clear @e[tag=alcapa] glowing

#* Polly is like Oliver and Pog
execute if entity @e[tag=polly_puppet,tag=active] run effect give @e[tag=polly] glowing 1 1 true
execute if entity @e[tag=polly_puppet,tag=!active] run effect clear @e[tag=polly] glowing
# These are like the commands used in "commands_controller.mcfunction", but must be here after the previous two commands to work
execute if entity @a[tag=npc] run effect clear @e[tag=polly] glowing
execute if entity @a[scores={fade=1..}] run effect clear @e[tag=polly] glowing

# 2020-05-06

# The music disc "Stal" is player constantly in the vacation cave of Jenny
scoreboard players add Music dialogue 1
execute if score Music dialogue matches 3000 run scoreboard players set Music dialogue 0
# 2020-05-10 change: added store success
execute store success score Music_control dialogue if score Music dialogue matches 1 run playsound minecraft:music_disc.stal record @a -13 31 -5 1

# 2020-05-07

#* Jenny is like Oliver, Pog and Polly
execute if entity @e[tag=jenny_puppet,tag=active] run effect give @e[tag=jenny] glowing 1 1 true
execute if entity @e[tag=jenny_puppet,tag=!active] run effect clear @e[tag=jenny] glowing
# These are like the commands used in "commands_controller.mcfunction", but must be here after the previous two commands to work
execute if entity @a[tag=npc] run effect clear @e[tag=jenny] glowing
execute if entity @a[scores={fade=1..}] run effect clear @e[tag=jenny] glowing

# Jenny's jumping animations + sound
# 2020-05-10 change: sound plays only to player in a radius
scoreboard players add Jenny dialogue 1
execute if score Jenny dialogue matches 107 run scoreboard players set Jenny dialogue 0
execute if score Jenny dialogue matches 0..5 as @e[tag=jenny] at @s run tp @s ~ ~0.1 ~
execute if score Jenny dialogue matches 5..10 as @e[tag=jenny] at @s run tp @s ~ ~-0.1 ~
execute if score Jenny dialogue matches 0 as @e[tag=jenny] at @s if entity @a[distance=..9] run playsound minecraft:entity.slime.jump master @a[distance=..5] ~ ~ ~ 0.3 1.2
execute if score Jenny dialogue matches 37..40 as @e[tag=jenny] at @s run tp @s ~ ~0.1 ~
execute if score Jenny dialogue matches 40..43 as @e[tag=jenny] at @s run tp @s ~ ~-0.1 ~
execute if score Jenny dialogue matches 37 as @e[tag=jenny] at @s if entity @a[distance=..9] run playsound minecraft:entity.slime.jump master @a[distance=..5] ~ ~ ~ 0.3 1.2
execute if score Jenny dialogue matches 79..81 as @e[tag=jenny] at @s run tp @s ~ ~0.1 ~
execute if score Jenny dialogue matches 81..83 as @e[tag=jenny] at @s run tp @s ~ ~-0.1 ~
execute if score Jenny dialogue matches 79 as @e[tag=jenny] at @s if entity @a[distance=..9] run playsound minecraft:entity.slime.jump master @a[distance=..5] ~ ~ ~ 0.3 1.2

# 2020-05-09

# If the player has the goggles, the cow model will have them
# The first command activates only after the player_model has been faced towards the npc, making the ^ coordinates work correctly
execute as @e[tag=player_model,tag=cow] at @s if entity @s facing entity @e[tag=npc_puppet,limit=1,sort=nearest] eyes if entity @a[tag=goggles] unless entity @e[tag=player_model,tag=goggles] run summon armor_stand ^ ^-0.32 ^0.62 {NoGravity:true,Marker:true,Invisible:true,ArmorItems:[{},{},{},{id:scute,Count:1b,tag:{CustomModelData:7}}],Tags:["player_model","goggles"]}
execute as @e[tag=player_model,tag=goggles] at @s run tp @s ^ ^ ^ facing entity @e[tag=npc_puppet,limit=1,sort=nearest]
execute as @e[tag=player_model,tag=goggles] run data merge entity @s {Fire:100s}

# If they aren't in a dialogue, npcs will face the horizon
execute as @e[tag=npc_model] at @s run tp @s ~ ~ ~ ~ 0
# The npcs with the tag "npc_model" will face the cow model (Alcapa doesn't because he looks at waves)
execute as @e[tag=npc_model] at @s run tp @s ^ ^ ^ facing entity @e[tag=player_model,tag=cow,limit=1,sort=nearest,distance=..3] feet

# If the player has the goggles, the cow will face the horizon to make sure the goggles are positioned correctly
# 2020-08-26 - this command has to activate after the command in "commands_controller" in the datapack "Dialogue NPCs 2.0" that makes player_model face the nearest npc_puppet;
# to do that, this datapack has to be enabled for last with /datapack enable "file/Map's addittional commands"
execute if entity @a[tag=goggles] as @e[tag=player_model] at @s run tp @s ~ ~ ~ ~ 0
execute if entity @a[tag=goggles] as @e[tag=player_model,tag=cow] at @s run tp @e[tag=player_model,tag=goggles] ^ ^-0.32 ^0.62

# 2020-05-10

# If the player has the goggles, these command will teleport them to the cave if they go to the entrance
# 2020-09-11 - changed tag required to use "goggles" just for the player's model
# 2020-12-12 - added spawnpoint (if using only "@a[tag=cave,y=30,dy=10]", it works only if used in chat?!?)
execute as @a[tag=cave,x=-15,y=30,z=-15,dx=30,dy=10,dz=30] run spawnpoint @s -6 31 -15
execute as @a[tag=cave,x=6,y=70,z=3,dx=0,dy=0,dz=1] run tag @s add dissolve
execute as @a[tag=cave,x=6,y=70,z=3,dx=0,dy=0,dz=1,tag=fade_out_end] run tag @s remove stop
execute as @a[tag=cave,x=6,y=70,z=3,dx=0,dy=0,dz=1,tag=fade_out_end] run tp @s -6.0 31 -15 0 0
execute as @a[tag=cave,x=6,y=70,z=3,dx=0,dy=0,dz=1,tag=fade_out_end] run tag @s add stop
execute as @a[tag=cave,x=-7,y=31,z=-15,dx=1,dy=0,dz=0,tag=fade_out_end] run stopsound @a * minecraft:music_disc.stal
execute as @a[tag=cave,x=-7,y=31,z=-15,dx=1,dy=0,dz=0,tag=fade_out_end] run scoreboard players reset Music_control dialogue
# After the previous commands, the tag "goggles" is removed so that the cow model doesn't have the goggles during dialogues
execute as @a[tag=goggles,x=-7,y=31,z=-15,dx=1,dy=0,dz=0,tag=fade_out_end] run tag @s remove goggles

# These commands will start Stal when the player enters Jenny's place if the music isn't already playing
execute if score Music dialogue matches 3000 run scoreboard players reset Music_control dialogue
execute as @a[x=-1,y=31,z=3,dx=1,dy=0,dz=0] unless score Music_control dialogue matches 1 run scoreboard players set Music dialogue 0

# While inside Mike's home, night vision is applied to the player; if not, the effect is removed
effect give @a[x=-3,y=31,z=-31,dx=6,dy=4,dz=6] night_vision 999999 0 true
execute as @a unless entity @s[x=-3,y=31,z=-31,dx=6,dy=4,dz=6] run effect clear @s night_vision

# The slime blocking the home's door is made invisible (its position makes this redundant, but just in case...)
effect give @e[tag=block_door] invisibility 1 1 true

# 2020-05-13

# Every puppet for the mobs has been removed, following the new way to target npc which made their commands for glowing (#*) redundant
# Item npcs still need a puppet, because the armor stand's centre is lower than the item, at the base plate (this could be resolved by changing the model of the item to display lower)

# Phone
execute if entity @e[tag=phone_puppet,tag=active] run effect give @e[tag=phone] glowing 1 1 true
execute if entity @e[tag=phone_puppet,tag=!active] run effect clear @e[tag=phone] glowing
# These are like the commands used in "commands_controller.mcfunction", but must be here after the previous two commands to work
execute if entity @a[tag=npc] run effect clear @e[tag=phone] glowing
execute if entity @a[scores={fade=1..}] run effect clear @e[tag=phone] glowing
# 2020-08-29 - added this commands because the npc tag is removed from the phone_puppet to make it not interactable after the first dialogue
execute if entity @e[tag=phone_puppet,tag=!npc] run effect clear @e[tag=phone] glowing

# 2020-05-15

# Waterall particles and sound
# 2020-08-26 - slightly changed particles and fixed "psrticles" typo
particle minecraft:item cobweb 0.5 64.2 15.6 0.27 0.1 0.2 0.01 100 force
particle minecraft:item cobweb 2.0 64.2 15.6 0.6 0.1 0.3 0.01 200 force
particle minecraft:item cobweb 3.5 64.2 15.6 0.27 0.1 0.2 0.01 100 force
playsound minecraft:weather.rain ambient @a 2.0 64.2 15.7 0.03 0.8
# 2020-11-30 - changed volume to better fit with the music

# 2020-06-05

# Items with the "kill" tag are killed
execute as @e[nbt={Item:{tag:{kill:true}}}] unless entity @s[nbt={Age:-32768s}] run kill @s

# Items with the "nodrop" tag are impossible to drop
execute as @e[type=item,nbt={Item:{tag:{nodrop:true}},Age:0s}] run data merge entity @s {PickupDelay:0}

# The previous kill command is used to stop a bug occurring with the next commands;
# the next commands can give a "ghost" item if the player throws the item, ghost item that would appear only if the player drops it or if he picks up a copy of it;
# the next commands summon the item, instead of giving it, to stop the creation of a "ghost item", while the kill command kills the item thrown so that the player doesn't get two.
# The player can still get a stack of items if they move it in their inventory

# If player has the tag for an item in the quest, it will get one; if not, it is removed
# 2020-09-08 - Added conditions "tag=!npc" and "tag=!fade_in_F" so that, if the player is holding one of the items at the start of a dialogue, they won't be given back until its end
execute as @a[tag=sandpaper,tag=!npc,tag=!fade_in_F] at @s unless entity @s[nbt={Inventory:[{tag:{sandpaper:true}}]}] run summon item ~ ~ ~ {Item:{id:scute,Count:1b,Age:-32768s,tag:{CustomModelData:3,display:{Name:"[{\"text\":\"Sandpaper\",\"italic\":true,\"bold\":false,\"color\":\"#a1530e\"}]"},sandpaper:true,nodrop:true,kill:true}}}
execute as @a[tag=!sandpaper] run clear @s scute{sandpaper:true}
execute as @a[tag=wool,tag=!npc,tag=!fade_in_F] at @s unless entity @s[nbt={Inventory:[{tag:{wool:true}}]}] run summon item ~ ~ ~ {Item:{id:scute,Count:1b,Age:-32768s,tag:{CustomModelData:4,display:{Name:"[{\"text\":\"Alcapa's wool\",\"italic\":true,\"bold\":false,\"color\":\"#edd18e\"}]"},wool:true,nodrop:true,kill:true}}}
execute as @a[tag=!wool] run clear @s scute{wool:true}
execute as @a[tag=string,tag=!npc,tag=!fade_in_F] at @s unless entity @s[nbt={Inventory:[{tag:{string:true}}]}] run summon item ~ ~ ~ {Item:{id:scute,Count:1b,Age:-32768s,tag:{CustomModelData:5,display:{Name:"[{\"text\":\"String\",\"italic\":true,\"bold\":false,\"color\":\"#ede6d5\"}]"},string:true,nodrop:true,kill:true}}}
execute as @a[tag=!string] run clear @s scute{string:true}
execute as @a[tag=glue,tag=!npc,tag=!fade_in_F] at @s unless entity @s[nbt={Inventory:[{tag:{glue:true}}]}] run summon item ~ ~ ~ {Item:{id:scute,Count:1b,Age:-32768s,tag:{CustomModelData:6,display:{Name:"[{\"text\":\"Glue\",\"italic\":true,\"bold\":false,\"color\":\"#bf3d1d\"}]"},glue:true,nodrop:true,kill:true}}}
execute as @a[tag=!glue] run clear @s scute{glue:true}
# 2020-09-13 - Two pieces of glass are given to the player, as giving directly a stack of 2 doesn't look good and doesn't work well with this system
execute as @a[tag=glass,tag=!npc,tag=!fade_in_F] at @s unless entity @s[nbt={Inventory:[{tag:{glass:true,1:true}}]}] run summon item ~ ~ ~ {Item:{id:scute,Count:1b,Age:-32768s,tag:{CustomModelData:1,display:{Name:"[{\"text\":\"Bottle's bottom\",\"italic\":true,\"bold\":false,\"color\":\"#c7ffd4\"}]"},glass:true,1:true,nodrop:true,kill:true}}}
execute as @a[tag=glass,tag=!npc,tag=!fade_in_F] at @s unless entity @s[nbt={Inventory:[{tag:{glass:true,2:true}}]}] run summon item ~ ~ ~ {Item:{id:scute,Count:1b,Age:-32768s,tag:{CustomModelData:1,display:{Name:"[{\"text\":\"Bottle's bottom\",\"italic\":true,\"bold\":false,\"color\":\"#c7ffd4\"}]"},glass:true,2:true,nodrop:true,kill:true}}}
execute as @a[tag=!glass] run clear @s scute{glass:true}

# 2020-09-08 - For Polly's dialogue, Mike's rotation is manually set because pandas have the head very low;
# it's not needed for Alcapa, because he has a puppet, which has been place higher than the the mob, making player_model face look higher.
# The first command is used also for other npcs
tag @e[tag=player_model] remove free_look

execute as @e[tag=polly] at @s run tag @e[distance=..3,tag=player_model] add free_look
execute as @e[tag=polly] at @s as @e[distance=..3,tag=player_model] at @s run tp @s ~ ~ ~ 180 20

# Polly also looks more upwards during the dialogue
execute as @e[tag=polly] at @s run tp @s ~ ~ ~ 0 0
execute as @e[tag=polly] at @s if entity @e[distance=..3,tag=player_model] run tp @s ~ ~ ~ 0 -15

# 2020-09-13 - Same of Polly now also applies to Pog
execute as @e[tag=pog] at @s run tag @e[distance=..3,tag=player_model] add free_look
execute as @e[tag=pog] at @s as @e[distance=..3,tag=player_model] at @s run tp @s ~ ~ ~ ~ 20

execute as @e[tag=pog] at @s run tp @s ~ ~ ~ -70 0
execute as @e[tag=pog] at @s if entity @e[distance=..3,tag=player_model] run tp @s ~ ~ ~ ~ -15


# 2020-11-30 - Music Controller
# Original music is stereo, but in Minecraft only mono sounds can become quieter --> changed commands to not be continuous music
# Island
execute if entity @a[x=-90,y=50,z=-90,dx=180,dy=50,dz=180] run scoreboard players add music_island music 1
execute unless entity @a[x=-90,y=50,z=-90,dx=180,dy=50,dz=180] run stopsound @a record island
execute unless entity @a[x=-90,y=50,z=-90,dx=180,dy=50,dz=180] run scoreboard players set music_island music 0

execute if score music_island music matches 1 run playsound island record @a 0 70 0 10
execute if score music_island music matches 3279.. run scoreboard players set music_island music 0

# Mike's home
execute if entity @a[x=-3,y=25,z=-31,dx=6,dy=10,dz=6] run scoreboard players add music_home music 1
execute unless entity @a[x=-3,y=25,z=-31,dx=6,dy=10,dz=6] run stopsound @a record house
execute unless entity @a[x=-3,y=25,z=-31,dx=6,dy=10,dz=6] run stopsound @a record house_intro
execute unless entity @a[x=-3,y=25,z=-31,dx=6,dy=10,dz=6] run scoreboard players set music_home music 0

execute if score music_home music matches 1 run playsound house_intro record @a 0 30 0 10
execute if score music_home music matches 240 run playsound house record @a 0 30 0 10
execute if score music_home music matches 1560.. run scoreboard players set music_home music 239


# 2020-12-02 - Island limits
# First four command are for the chat message, which, using the objective "music", is played at most once every 5 seconds
# The timing works in this way: the message sets score to 1, which is then set to 102; from here, it is reduced until 2 when, to bypass 1, is set to 0 to start the cycle again
# 2020-12-12 (night) - added "if entity @s[y=53,dy=37]" to stop it from working when not on the island
execute as @a at @s unless entity @s[x=-87,y=53,z=-87,dx=174,dy=44,dz=174] if entity @s[y=53,dy=37] store success score island_limits music if score island_limits music matches 0 run tellraw @a[gamemode=adventure] ["",{"text":"I'm somewhat sure I'm not a whale; better go back..."}]
execute if score island_limits music matches 1 run scoreboard players set island_limits music 102
execute as @a at @s if entity @s[x=-87,y=53,z=-87,dx=174,dy=44,dz=174] if entity @s[y=53,dy=37] if score island_limits music matches 2.. run scoreboard players remove island_limits music 1
execute if score island_limits music matches 2 run scoreboard players set island_limits music 0
execute as @a at @s unless entity @s[x=-87,y=53,z=-87,dx=174,dy=44,dz=174] if entity @s[y=53,dy=37] rotated ~ 0 run tp @s[gamemode=adventure] ^ ^ ^0.2 facing 0 ~ 0

# 2020-12-02
scoreboard players add cave_ music 1
execute if score cave_ music matches 1 run playsound minecraft:ambient.basalt_deltas.additions master @a 5 16 -12 0.3 0
execute if score cave_ music matches 666.. run scoreboard players set cave_ music 0


# 2020-12-04 - Start end sequence: auto starts a dialogue
# 2020-12-12 - added spawnpoint
execute as @a[tag=start_end] run spawnpoint @a -32 63 27
execute as @a[x=-8,y=34,z=-11,dx=0,dy=0,dz=1] run tag @s add start_end
# 2020-12-12 - the tag "cave" is now removed at the end of the cave section
execute as @a[tag=start_end] run tag @s remove cave
# Don't know why, but this command can't be always active, it needs a condition (in this case "unless")
execute as @a[tag=start_end] unless entity @e[tag=alfred_end,tag=auto_active] run tag @s add dissolve_start
# This command isn't needed, but it would if the new chunk needs to be loaded first
execute as @a[tag=start_end,tag=fade_stands] run tp @s 0 54 -33 180 0
execute as @a[tag=start_end,tag=fade_stands] run summon sheep 0 63 -35 {Color:4,Invulnerable:true,PersistenceRequired:true,NoAI:true,NoGravity:true,Rotation:[0.0f],Tags:["alfred_end","npc_puppet","npc","glow","end_puppet"]}
# The tag "auto_active" is what automatically starts the dialogue
execute as @a[tag=start_end,tag=fade_stands] run tag @e[tag=alfred_end] add auto_active
# 2020-1-19 - additional tag that remains for the whole section on the island after the cave
execute as @a[tag=start_end,tag=fade_stands] run tag @s add after_cave
execute as @a[tag=start_end,tag=fade_stands] run tag @s remove start_end

# Command to kill the eggs that Oliver lays - repeat for oliver_final
execute as @e[tag=oliver_final,nbt={EggLayTime:2}] run data modify entity @s EggLayTime set value 999999

# 2020-12-05

# To prepare for the last dialogue on the island, the npcs are teleported away
execute as @e[tag=deactivate,tag=alfred] run tp @s 4 36 28
execute as @e[tag=deactivate,tag=pog] run tp @s 2 36 28
execute as @e[tag=deactivate,tag=oliver] run tp @s 0 36 28
execute as @e[tag=deactivate,tag=alcapa] run tp @s -2 36 28
execute as @e[tag=deactivate,tag=alcapa_puppet] run tp @s -2 36 28
execute as @e[tag=deactivate,tag=polly] run tp @s -4 36 28
execute as @e[tag=deactivate] run data merge entity @s {Silent:true}
execute as @e[tag=deactivate] run tag @s remove deactivate

# These commands are instead used to reset their original position
execute as @e[tag=activate,tag=alfred] run tp @s -27 63 23
execute as @e[tag=activate,tag=pog] run tp @s -10 64 23
execute as @e[tag=activate,tag=oliver] run tp @s 7 65 20
execute as @e[tag=activate,tag=alcapa] run tp @s 26 70 24
execute as @e[tag=activate,tag=alcapa_puppet] run tp @s 26 70.6 24
execute as @e[tag=activate,tag=polly] run tp @s 33 63 6
execute as @e[tag=activate] run data merge entity @s {Silent:false}
execute as @e[tag=activate] run tag @s remove activate


# Commands to setup the final island dialogue; "final_island" given by previous dialogue
execute as @a[tag=final_island] run setblock 0 64 25 slime_block
# 2020-12-11 - moved /setblock barrier here to make it work
execute as @a[tag=final_island] run setblock 3 66 25 barrier
execute as @a[tag=final_island] run execute as @e[tag=final] run tp @s ~ -99 ~
execute as @a[tag=final_island] run execute as @e[tag=final] run data merge entity @s {Health:0f,DeathTime:19}
execute as @a[tag=final_island] run tag @e[tag=island_npc] add deactivate

execute as @a[tag=final_island] run summon pig -2.0 64 25 {Invulnerable:true,PersistenceRequired:true,NoAI:true,NoGravity:true,Rotation:[-77.0f],Tags:["pog_final","final"]}
execute as @a[tag=final_island] run summon sheep -4 64 27 {Color:4,Invulnerable:true,PersistenceRequired:true,NoAI:true,NoGravity:true,Rotation:[-111.0f],Tags:["alfred_final","final"]}
execute as @a[tag=final_island] run summon slime 0 64 28 {Size:1,Invulnerable:true,PersistenceRequired:true,NoAI:true,NoGravity:true,Rotation:[-180.0f,0.0f],Tags:["jenny_final","final"]}
execute as @a[tag=final_island] run summon panda 2 64 27 {MainGene:lazy,HiddenGene:lazy,Invulnerable:true,PersistenceRequired:true,NoAI:true,NoGravity:true,Rotation:[133.0f],Tags:["polly_final","final"]}
execute as @a[tag=final_island] run summon llama 3.0 64 25 {Invulnerable:true,PersistenceRequired:true,NoAI:true,NoGravity:true,Rotation:[80.0f],Tags:["alcapa_final","final"]}
execute as @a[tag=final_island] run summon chicken 0 65 25 {Invulnerable:true,PersistenceRequired:true,NoAI:false,Tags:["oliver_final","final","npc_puppet","npc","glow"]}
# These commands are used to circumvent a bug where chickens, that have their tag "NoAI" set to true when or immediately after they have been spawned, will constantly flap their wings
execute as @a[tag=final_island] run execute as @e[tag=oliver_final] run scoreboard players set @s music 3
scoreboard players remove @e[tag=oliver_final] music 1
execute as @e[tag=oliver_final,scores={music=0}] run data merge entity @s {NoAI:true}
scoreboard players reset @e[tag=oliver_final,scores={music=..0}] music

execute as @a[tag=final_island] run tag @s remove final_island

# Secret easter egg: when the slime block appears for the final island dialogue, you can bounce on it from the marquee to reach the top of a barrier block
# 2020-12-12 - added requirement for barrier block under player
execute as @a[tag=!easter_egg,x=3,y=67,z=25,dx=0,dy=1,dz=0] at @s if block ~ ~-1 ~ barrier run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1.7
execute as @a[x=3,y=67,z=25,dx=0,dy=1,dz=0] at @s if block ~ ~-1 ~ barrier run tag @s add easter_egg


# 2020-12-09 - Transition between scenes (using the objective "music")
scoreboard players reset @a[scores={music=0},tag=!end_home1,tag=!END_ISLAND,tag=!END_MAP] music

# 2020-12-12 - added spawnpoint for each area

# HOME 1 --> ISLAND
execute as @a[tag=end_home1] run spawnpoint @a -32 63 27
scoreboard players remove @e[tag=end_home1,scores={music=0..}] music 1
execute as @a[tag=end_home1] unless entity @s[scores={music=0..}] run scoreboard players set @a music 190
execute as @a[tag=end_home1,scores={music=150}] run title @a times 20 70 10
execute as @a[tag=end_home1,scores={music=150}] run title @a title {"text":"Cow Detective","bold":true,"color":"#C9F9FA"}
execute as @a[tag=end_home1,scores={music=120}] run title @a subtitle {"text":"The Malfunctioning Slime Block","color":"#84E783"}
execute as @a[tag=end_home1,scores={music=20}] run tag @a add fade_in_F
# The tp is constant, so that the tag "stop" isn't needed and it it stops the tp command to the black room, from the knob dialogue, from working twice
execute as @a[tag=end_home1,scores={music=1..15}] run tp @a -32 63 27 -111 0
execute as @a[tag=end_home1,scores={music=0}] run tag @s remove end_home1

# ISLAND --> HOME 2
execute as @a[tag=END_ISLAND] run spawnpoint @a 0 31 -31
scoreboard players remove @e[tag=END_ISLAND,scores={music=0..}] music 1
execute as @a[tag=END_ISLAND] unless entity @s[scores={music=0..}] run scoreboard players set @a music 70
execute as @a[tag=END_ISLAND,scores={music=20}] run tag @a add fade_in_F
execute as @a[tag=END_ISLAND,scores={music=1..15}] run tp @a 0 31 -31 0 0
execute as @a[tag=END_ISLAND,scores={music=1}] run tag @e[tag=phone_puppet] add npc
execute as @a[tag=END_ISLAND,scores={music=1}] run tag @e[tag=phone_puppet] add phone_D2
execute as @a[tag=END_ISLAND,scores={music=1}] run execute as @e[tag=phone] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:redstone",Count:1b,tag:{CustomModelData:1}}]}
# 2020-1-19 - additional tag that remains for the whole section on the island after the cave
execute as @a[tag=END_ISLAND,scores={music=1}] run tag @s remove after_cave
execute as @a[tag=END_ISLAND,scores={music=0}] run tag @s remove END_ISLAND

# HOME --> END - 2020-12-10
execute as @a[tag=END_MAP] run spawnpoint @a -40 31 0
scoreboard players remove @e[tag=END_MAP,scores={music=0..}] music 1
execute as @a[tag=END_MAP] unless entity @s[scores={music=0..}] run scoreboard players set @a music 200
execute as @a[tag=END_MAP,scores={music=180}] run title @a times 20 50 10
execute as @a[tag=END_MAP,scores={music=180}] run title @a title {"text":"Cow Detective","bold":false,"color":"#C9F9FA"}
execute as @a[tag=END_MAP,scores={music=180}] run title @a subtitle {"text":"will return in the next case...","bold":false,"color":"#C9F9FA"}
execute as @a[tag=END_MAP,scores={music=100}] run title @a title {"text":"Maybe?","color":"#c7a5d6"}
execute as @a[tag=END_MAP,scores={music=20}] run tag @a add fade_in_F
execute as @a[tag=END_MAP,scores={music=1..15}] run tp @a -40 31 0 0 0
execute as @a[tag=END_MAP,scores={music=0}] run tag @s remove END_MAP


# 2020-12-10

# Sound test
# If the player presses a button during a song, they are all stopped before starting the new one
execute if block -30 32 -2 jungle_button[powered=true] if score sound_test music matches 1 run scoreboard players set sound_test music 0
execute if block -28 32 0 jungle_button[powered=true] if score sound_test music matches 1 run scoreboard players set sound_test music 0
execute if block -30 32 2 jungle_button[powered=true] if score sound_test music matches 1 run scoreboard players set sound_test music 0

execute if score sound_test music matches 0 run stopsound @a record minecraft:house_full
execute if score sound_test music matches 0 run stopsound @a record minecraft:island_full
execute if score sound_test music matches 0 run stopsound @a record minecraft:cut_cave

# Pressing one of the three song buttons will start the corresponding song
execute if block -30 32 -2 jungle_button[powered=true] if score sound_test music matches 0 run scoreboard players set sound_test music 2
execute if block -30 32 -2 jungle_button[powered=true] if score sound_test music matches 2 at @a run playsound minecraft:house_full record @a

execute if block -28 32 0 jungle_button[powered=true] if score sound_test music matches 0 run scoreboard players set sound_test music 2
execute if block -28 32 0 jungle_button[powered=true] if score sound_test music matches 2 at @a run playsound minecraft:island_full record @a

execute if block -30 32 2 jungle_button[powered=true] if score sound_test music matches 0 run scoreboard players set sound_test music 2
execute if block -30 32 2 jungle_button[powered=true] if score sound_test music matches 2 at @a run playsound minecraft:cut_cave record @a

# The objective "music" controls the playback
execute if score sound_test music matches 2.. run scoreboard players remove sound_test music 1

# The button are immediately turns off when pressed so that the player doesn't have to wait for them to return to the off state
execute if block -30 32 -2 jungle_button[powered=true] run setblock -30 32 -2 jungle_button[powered=false,facing=south]
execute if block -28 32 0 jungle_button[powered=true] run setblock -28 32 0 jungle_button[powered=false,facing=west]
execute if block -30 32 2 jungle_button[powered=true] run setblock -30 32 2 jungle_button[powered=false,facing=north]

# Pressing the "stop all" button stops every song
execute if block -28 34 0 jungle_button[powered=true] run stopsound @a record minecraft:house_full
execute if block -28 34 0 jungle_button[powered=true] run stopsound @a record minecraft:island_full
execute if block -28 34 0 jungle_button[powered=true] run stopsound @a record minecraft:cut_cave

execute if block -28 34 0 jungle_button[powered=true] run setblock -28 34 0 jungle_button[powered=false,facing=west]


# Secret Easter Egg
execute if entity @a[tag=easter_egg] run setblock -45 29 0 redstone_torch
execute unless entity @a[tag=easter_egg] run setblock -45 29 0 air

execute as @a[x=-81,y=31,z=0,dx=1,dy=1,dz=0] run stopsound @a record minecraft:house_full
execute as @a[x=-81,y=31,z=0,dx=1,dy=1,dz=0] run stopsound @a record minecraft:island_full
execute as @a[x=-81,y=31,z=0,dx=1,dy=1,dz=0] run stopsound @a record minecraft:cut_cave


# Return to map intro
execute if block -36 31 1 jungle_button[powered=true] run tp @a 40 31 0 0 0
execute if block -36 31 1 jungle_button[powered=true] run setblock -36 31 1 jungle_button[powered=false,facing=west]


# 2020-12-11

# Additional links
execute if block -37 31 -4 jungle_button[powered=true] run tellraw @a ["",{"text":"Waves 2.0","color":"dark_aqua"},{"text":" "},{"text":"[Click]","color":"aqua","clickEvent":{"action":"open_url","value":"https://www.planetminecraft.com/data-pack/waves-2-0/"}}]
execute if block -37 31 -4 jungle_button[powered=true] run setblock -37 31 -4 jungle_button[powered=false,facing=south]
execute if block -43 31 -4 jungle_button[powered=true] run tellraw @a ["",{"text":"[Planet Minecraft]","color":"gold","clickEvent":{"action":"open_url","value":"https://www.planetminecraft.com/member/pmk/"}},{"text":" ","color":"dark_aqua"},{"text":"[Youtube]","color":"red","clickEvent":{"action":"open_url","value":"https://www.youtube.com/user/PmkExpert"}},{"text":" ","color":"dark_aqua"},{"text":"[Twitter]","color":"aqua","clickEvent":{"action":"open_url","value":"https://twitter.com/PmkExpert"}},{"text":" ","color":"dark_aqua"},{"text":"[Minecraft Maps]","color":"dark_green","clickEvent":{"action":"open_url","value":"https://www.minecraftmaps.com/map-maker/pmkexpert"}}]
execute if block -43 31 -4 jungle_button[powered=true] run setblock -43 31 -4 jungle_button[powered=false,facing=south]

# Start map
# 2020-12-12 - added spawnpoint
execute as @a[tag=start_map] run spawnpoint @a 0 31 -31
scoreboard players reset @a[scores={music=0},tag=!start_map] music
scoreboard players remove @e[tag=start_map,scores={music=0..}] music 1
execute as @a[tag=start_map] unless entity @s[scores={music=0..}] run scoreboard players set @a music 61
execute as @a[tag=start_map,scores={music=60}] run tag @a add fade_out_F
execute as @a[tag=start_map,scores={music=21}] run tag @a remove stop
execute as @a[tag=start_map,scores={music=1..20}] run tp @a 0 31 -31 0 0
execute as @a[tag=start_map,scores={music=15}] run tag @a add fade_in_F
execute as @a[tag=start_map,scores={music=0}] run tag @s remove start_map

# 2020-12-12 (night)
# Anti-Survival and Effects
gamemode adventure @a[gamemode=survival]
effect give @a resistance 3 10 true
effect give @a saturation 3 10 true

# First load setup
gamemode adventure @a[tag=!map_started]
# 2020-12-12 - added spawnpoint
spawnpoint @a[tag=!map_started] 40 31 0
tp @a[tag=!map_started] 40 31 0 0 0
tag @a add map_started


# 2020-12-14 - v1.1
# Book with the link to the video guide
execute as @a at @s unless entity @s[nbt={Inventory:[{tag:{guide:true}}]}] run summon item ~ ~ ~ {Item:{id:written_book,Count:1b,Age:-32768s,tag:{nodrop:true,guide:true,pages:['["",{"text":"If you\'re stuck in the map, you can check out the "},{"text":"video guide.","bold":true},{"text":" ","color":"reset"},{"text":"[Click]","bold":true,"italic":true,"color":"dark_gray","clickEvent":{"action":"open_url","value":"https://www.youtube.com/watch?v=q71LKlF4E_g"}},{"text":"\\n\\nThe video also contains a ","color":"reset"},{"text":"developer commentary","bold":true},{"text":", if you\'re interested!","color":"reset"}]'],title:"Need help?",author:PmkExpert}}}
# If the player throws the book, it will receive one more and have two (three if they span the Q button): the next commands fix that by resetting the number to 1 if it happens
execute as @a[nbt={Inventory:[{Count:2b,tag:{guide:true}}]}] run clear @s written_book{guide:true}
execute as @a[nbt={Inventory:[{Count:3b,tag:{guide:true}}]}] run clear @s written_book{guide:true}


# This work is licensed under a Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.
# You can monetize videos about this map, as long as you credit the creator, PmkExpert, in a visible way.
# Contact on Reddit for any question: https://www.reddit.com/user/Pmk23
# Visit Planet Minecraft for the latest updates: https://www.planetminecraft.com/member/pmk/
# Social Medias: https://twitter.com/PmkExpert https://www.youtube.com/user/Pmkexpert